import{s as xr,n as Pr,o as yr}from"../chunks/scheduler.9bc65507.js";import{S as wr,i as Dr,g as a,s as o,r as h,A as Cr,h as n,f as r,c as s,j as m,u,x as d,k as i,y as t,a as p,v as f,d as g,t as v,w as b}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.4f78d428.js";import{I as ht}from"../chunks/IconCopyLink.d239c2d1.js";function Fr(Jt){let D,We,C,A,Me,U,ut,me,jt="Utilities for pipelines",qe,z,Ut="This page lists all the utility functions the library provides for pipelines.",Ne,Q,zt="Most of those are only useful if you are studying the code of the models in the library.",Je,F,S,Ie,R,ft,de,Qt="Argument handling",je,L,B,gt,ce,Rt='Base interface for handling arguments for each <a href="/docs/transformers/v4.33.3/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a>.',Ue,E,Z,vt,he,Bt=`Handles arguments for zero-shot for text classification by turning each possible label into an NLI
premise/hypothesis pair.`,ze,P,G,bt,ue,Zt=`QuestionAnsweringPipeline requires the user to provide multiple arguments (i.e. question &amp; context) to be mapped to
internal <code>SquadExample</code>.`,$t,fe,Gt=`QuestionAnsweringArgumentHandler manages all the possible to create a <code>SquadExample</code> from the command-line
supplied arguments.`,Qe,T,M,Oe,K,_t,ge,Kt="Data format",Re,c,X,xt,ve,Xt=`Base class for all the pipeline supported data format both for reading and writing. Supported data formats
currently includes:`,Pt,be,Yt="<li>JSON</li> <li>CSV</li> <li>stdin/stdout (pipe)</li>",yt,$e,er=`<code>PipelineDataFormat</code> also includes some utilities to work with multi-columns like mapping from datasets columns to
pipelines keyword arguments through the <code>dataset_kwarg_1=dataset_column_1</code> format.`,wt,I,Y,Dt,_e,tr='Creates an instance of the right subclass of <a href="/docs/transformers/v4.33.3/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a> depending on <code>format</code>.',Ct,O,ee,Ft,xe,rr='Save the provided data object with the representation for the current <a href="/docs/transformers/v4.33.3/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',Lt,V,te,Et,Pe,ar="Save the provided data object as a pickle-formatted binary data on the disk.",Be,y,re,Tt,ye,nr="Support for pipelines using CSV data format.",kt,W,ae,Ht,we,or='Save the provided data object with the representation for the current <a href="/docs/transformers/v4.33.3/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',Ze,w,ne,At,De,sr="Support for pipelines using JSON file format.",St,q,oe,Mt,Ce,ir="Save the provided data object in a json file.",Ge,x,se,It,Fe,lr="Read data from piped input to the python process. For multi columns data, columns should separated by",Ot,Le,pr="If columns are provided, then the output will be a dictionary with {column_x: value_x}",Vt,N,ie,Wt,Ee,mr="Print the data.",Ke,k,J,Ve,le,qt,Te,dr="Utilities",Xe,H,pe,Nt,ke,cr='Raised by a <a href="/docs/transformers/v4.33.3/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a> when handling <strong>call</strong>.',Ye;return U=new ht({}),R=new ht({}),B=new _({props:{name:"class transformers.pipelines.ArgumentHandler",anchor:"transformers.pipelines.ArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L425"}}),Z=new _({props:{name:"class transformers.pipelines.ZeroShotClassificationArgumentHandler",anchor:"transformers.pipelines.ZeroShotClassificationArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/zero_shot_classification.py#L14"}}),G=new _({props:{name:"class transformers.pipelines.QuestionAnsweringArgumentHandler",anchor:"transformers.pipelines.QuestionAnsweringArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/question_answering.py#L150"}}),K=new ht({}),X=new _({props:{name:"class transformers.PipelineDataFormat",anchor:"transformers.PipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L435"}}),Y=new _({props:{name:"from_str",anchor:"transformers.PipelineDataFormat.from_str",parameters:[{name:"format",val:": str"},{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.from_str.format",description:`<strong>format</strong> (<code>str</code>) &#x2014;
The format of the desired pipeline. Acceptable values are <code>&quot;json&quot;</code>, <code>&quot;csv&quot;</code> or <code>&quot;pipe&quot;</code>.`,name:"format"},{anchor:"transformers.PipelineDataFormat.from_str.output_path",description:`<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to save the outgoing data.`,name:"output_path"},{anchor:"transformers.PipelineDataFormat.from_str.input_path",description:`<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to look for the input data.`,name:"input_path"},{anchor:"transformers.PipelineDataFormat.from_str.column",description:`<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The column to read.`,name:"column"},{anchor:"transformers.PipelineDataFormat.from_str.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L512",returnDescription:`
<p>The proper data format.</p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.33.3/en/internal/pipelines_utils#transformers.PipelineDataFormat"
>PipelineDataFormat</a></p>
`}}),ee=new _({props:{name:"save",anchor:"transformers.PipelineDataFormat.save",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L484"}}),te=new _({props:{name:"save_binary",anchor:"transformers.PipelineDataFormat.save_binary",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save_binary.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L494",returnDescription:`
<p>Path where the data has been saved.</p>
`,returnType:`
<p><code>str</code></p>
`}}),re=new _({props:{name:"class transformers.CsvPipelineDataFormat",anchor:"transformers.CsvPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.CsvPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.CsvPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.CsvPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L548"}}),ae=new _({props:{name:"save",anchor:"transformers.CsvPipelineDataFormat.save",parameters:[{name:"data",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>List[dict]</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L578"}}),ne=new _({props:{name:"class transformers.JsonPipelineDataFormat",anchor:"transformers.JsonPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.JsonPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.JsonPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.JsonPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L592"}}),oe=new _({props:{name:"save",anchor:"transformers.JsonPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L623"}}),se=new _({props:{name:"class transformers.PipedPipelineDataFormat",anchor:"transformers.PipedPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipedPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipedPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipedPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L634"}}),ie=new _({props:{name:"save",anchor:"transformers.PipedPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L663"}}),le=new ht({}),pe=new _({props:{name:"class transformers.pipelines.PipelineException",anchor:"transformers.pipelines.PipelineException",parameters:[{name:"task",val:": str"},{name:"model",val:": str"},{name:"reason",val:": str"}],parametersDescription:[{anchor:"transformers.pipelines.PipelineException.task",description:"<strong>task</strong> (<code>str</code>) &#x2014; The task of the pipeline.",name:"task"},{anchor:"transformers.pipelines.PipelineException.model",description:"<strong>model</strong> (<code>str</code>) &#x2014; The model used by the pipeline.",name:"model"},{anchor:"transformers.pipelines.PipelineException.reason",description:"<strong>reason</strong> (<code>str</code>) &#x2014; The error message to display.",name:"reason"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/pipelines/base.py#L408"}}),{c(){D=a("meta"),We=o(),C=a("h1"),A=a("a"),Me=a("span"),h(U.$$.fragment),ut=o(),me=a("span"),me.textContent=jt,qe=o(),z=a("p"),z.textContent=Ut,Ne=o(),Q=a("p"),Q.textContent=zt,Je=o(),F=a("h2"),S=a("a"),Ie=a("span"),h(R.$$.fragment),ft=o(),de=a("span"),de.textContent=Qt,je=o(),L=a("div"),h(B.$$.fragment),gt=o(),ce=a("p"),ce.innerHTML=Rt,Ue=o(),E=a("div"),h(Z.$$.fragment),vt=o(),he=a("p"),he.textContent=Bt,ze=o(),P=a("div"),h(G.$$.fragment),bt=o(),ue=a("p"),ue.innerHTML=Zt,$t=o(),fe=a("p"),fe.innerHTML=Gt,Qe=o(),T=a("h2"),M=a("a"),Oe=a("span"),h(K.$$.fragment),_t=o(),ge=a("span"),ge.textContent=Kt,Re=o(),c=a("div"),h(X.$$.fragment),xt=o(),ve=a("p"),ve.textContent=Xt,Pt=o(),be=a("ul"),be.innerHTML=Yt,yt=o(),$e=a("p"),$e.innerHTML=er,wt=o(),I=a("div"),h(Y.$$.fragment),Dt=o(),_e=a("p"),_e.innerHTML=tr,Ct=o(),O=a("div"),h(ee.$$.fragment),Ft=o(),xe=a("p"),xe.innerHTML=rr,Lt=o(),V=a("div"),h(te.$$.fragment),Et=o(),Pe=a("p"),Pe.textContent=ar,Be=o(),y=a("div"),h(re.$$.fragment),Tt=o(),ye=a("p"),ye.textContent=nr,kt=o(),W=a("div"),h(ae.$$.fragment),Ht=o(),we=a("p"),we.innerHTML=or,Ze=o(),w=a("div"),h(ne.$$.fragment),At=o(),De=a("p"),De.textContent=sr,St=o(),q=a("div"),h(oe.$$.fragment),Mt=o(),Ce=a("p"),Ce.textContent=ir,Ge=o(),x=a("div"),h(se.$$.fragment),It=o(),Fe=a("p"),Fe.textContent=lr,Ot=o(),Le=a("p"),Le.textContent=pr,Vt=o(),N=a("div"),h(ie.$$.fragment),Wt=o(),Ee=a("p"),Ee.textContent=mr,Ke=o(),k=a("h2"),J=a("a"),Ve=a("span"),h(le.$$.fragment),qt=o(),Te=a("span"),Te.textContent=dr,Xe=o(),H=a("div"),h(pe.$$.fragment),Nt=o(),ke=a("p"),ke.innerHTML=cr,this.h()},l(e){const l=Cr("svelte-1phssyn",document.head);D=n(l,"META",{name:!0,content:!0}),l.forEach(r),We=s(e),C=n(e,"H1",{class:!0});var et=m(C);A=n(et,"A",{id:!0,class:!0,href:!0});var hr=m(A);Me=n(hr,"SPAN",{});var ur=m(Me);u(U.$$.fragment,ur),ur.forEach(r),hr.forEach(r),ut=s(et),me=n(et,"SPAN",{"data-svelte-h":!0}),d(me)!=="svelte-1t7uu8r"&&(me.textContent=jt),et.forEach(r),qe=s(e),z=n(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-wr9t4b"&&(z.textContent=Ut),Ne=s(e),Q=n(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-1ui7w53"&&(Q.textContent=zt),Je=s(e),F=n(e,"H2",{class:!0});var tt=m(F);S=n(tt,"A",{id:!0,class:!0,href:!0});var fr=m(S);Ie=n(fr,"SPAN",{});var gr=m(Ie);u(R.$$.fragment,gr),gr.forEach(r),fr.forEach(r),ft=s(tt),de=n(tt,"SPAN",{"data-svelte-h":!0}),d(de)!=="svelte-1ipmwff"&&(de.textContent=Qt),tt.forEach(r),je=s(e),L=n(e,"DIV",{class:!0});var rt=m(L);u(B.$$.fragment,rt),gt=s(rt),ce=n(rt,"P",{"data-svelte-h":!0}),d(ce)!=="svelte-v892l0"&&(ce.innerHTML=Rt),rt.forEach(r),Ue=s(e),E=n(e,"DIV",{class:!0});var at=m(E);u(Z.$$.fragment,at),vt=s(at),he=n(at,"P",{"data-svelte-h":!0}),d(he)!=="svelte-1hjf3sf"&&(he.textContent=Bt),at.forEach(r),ze=s(e),P=n(e,"DIV",{class:!0});var He=m(P);u(G.$$.fragment,He),bt=s(He),ue=n(He,"P",{"data-svelte-h":!0}),d(ue)!=="svelte-12i18ng"&&(ue.innerHTML=Zt),$t=s(He),fe=n(He,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-z2nze2"&&(fe.innerHTML=Gt),He.forEach(r),Qe=s(e),T=n(e,"H2",{class:!0});var nt=m(T);M=n(nt,"A",{id:!0,class:!0,href:!0});var vr=m(M);Oe=n(vr,"SPAN",{});var br=m(Oe);u(K.$$.fragment,br),br.forEach(r),vr.forEach(r),_t=s(nt),ge=n(nt,"SPAN",{"data-svelte-h":!0}),d(ge)!=="svelte-1fbhbgg"&&(ge.textContent=Kt),nt.forEach(r),Re=s(e),c=n(e,"DIV",{class:!0});var $=m(c);u(X.$$.fragment,$),xt=s($),ve=n($,"P",{"data-svelte-h":!0}),d(ve)!=="svelte-1mb1edh"&&(ve.textContent=Xt),Pt=s($),be=n($,"UL",{"data-svelte-h":!0}),d(be)!=="svelte-1uf4n4e"&&(be.innerHTML=Yt),yt=s($),$e=n($,"P",{"data-svelte-h":!0}),d($e)!=="svelte-u9lis0"&&($e.innerHTML=er),wt=s($),I=n($,"DIV",{class:!0});var ot=m(I);u(Y.$$.fragment,ot),Dt=s(ot),_e=n(ot,"P",{"data-svelte-h":!0}),d(_e)!=="svelte-b9gmm8"&&(_e.innerHTML=tr),ot.forEach(r),Ct=s($),O=n($,"DIV",{class:!0});var st=m(O);u(ee.$$.fragment,st),Ft=s(st),xe=n(st,"P",{"data-svelte-h":!0}),d(xe)!=="svelte-1lc5pe"&&(xe.innerHTML=rr),st.forEach(r),Lt=s($),V=n($,"DIV",{class:!0});var it=m(V);u(te.$$.fragment,it),Et=s(it),Pe=n(it,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-i36752"&&(Pe.textContent=ar),it.forEach(r),$.forEach(r),Be=s(e),y=n(e,"DIV",{class:!0});var Ae=m(y);u(re.$$.fragment,Ae),Tt=s(Ae),ye=n(Ae,"P",{"data-svelte-h":!0}),d(ye)!=="svelte-jm6p0u"&&(ye.textContent=nr),kt=s(Ae),W=n(Ae,"DIV",{class:!0});var lt=m(W);u(ae.$$.fragment,lt),Ht=s(lt),we=n(lt,"P",{"data-svelte-h":!0}),d(we)!=="svelte-1lc5pe"&&(we.innerHTML=or),lt.forEach(r),Ae.forEach(r),Ze=s(e),w=n(e,"DIV",{class:!0});var Se=m(w);u(ne.$$.fragment,Se),At=s(Se),De=n(Se,"P",{"data-svelte-h":!0}),d(De)!=="svelte-jpmp8k"&&(De.textContent=sr),St=s(Se),q=n(Se,"DIV",{class:!0});var pt=m(q);u(oe.$$.fragment,pt),Mt=s(pt),Ce=n(pt,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-1ly8fsk"&&(Ce.textContent=ir),pt.forEach(r),Se.forEach(r),Ge=s(e),x=n(e,"DIV",{class:!0});var j=m(x);u(se.$$.fragment,j),It=s(j),Fe=n(j,"P",{"data-svelte-h":!0}),d(Fe)!=="svelte-vxtild"&&(Fe.textContent=lr),Ot=s(j),Le=n(j,"P",{"data-svelte-h":!0}),d(Le)!=="svelte-83moxo"&&(Le.textContent=pr),Vt=s(j),N=n(j,"DIV",{class:!0});var mt=m(N);u(ie.$$.fragment,mt),Wt=s(mt),Ee=n(mt,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-v6konq"&&(Ee.textContent=mr),mt.forEach(r),j.forEach(r),Ke=s(e),k=n(e,"H2",{class:!0});var dt=m(k);J=n(dt,"A",{id:!0,class:!0,href:!0});var $r=m(J);Ve=n($r,"SPAN",{});var _r=m(Ve);u(le.$$.fragment,_r),_r.forEach(r),$r.forEach(r),qt=s(dt),Te=n(dt,"SPAN",{"data-svelte-h":!0}),d(Te)!=="svelte-z6eyrf"&&(Te.textContent=dr),dt.forEach(r),Xe=s(e),H=n(e,"DIV",{class:!0});var ct=m(H);u(pe.$$.fragment,ct),Nt=s(ct),ke=n(ct,"P",{"data-svelte-h":!0}),d(ke)!=="svelte-16uorxs"&&(ke.innerHTML=cr),ct.forEach(r),this.h()},h(){i(D,"name","hf:doc:metadata"),i(D,"content",JSON.stringify(Lr)),i(A,"id","utilities-for-pipelines"),i(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(A,"href","#utilities-for-pipelines"),i(C,"class","relative group"),i(S,"id","transformers.pipelines.ArgumentHandler"),i(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(S,"href","#transformers.pipelines.ArgumentHandler"),i(F,"class","relative group"),i(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(M,"id","transformers.PipelineDataFormat"),i(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(M,"href","#transformers.PipelineDataFormat"),i(T,"class","relative group"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(J,"id","transformers.pipelines.PipelineException"),i(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(J,"href","#transformers.pipelines.PipelineException"),i(k,"class","relative group"),i(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,D),p(e,We,l),p(e,C,l),t(C,A),t(A,Me),f(U,Me,null),t(C,ut),t(C,me),p(e,qe,l),p(e,z,l),p(e,Ne,l),p(e,Q,l),p(e,Je,l),p(e,F,l),t(F,S),t(S,Ie),f(R,Ie,null),t(F,ft),t(F,de),p(e,je,l),p(e,L,l),f(B,L,null),t(L,gt),t(L,ce),p(e,Ue,l),p(e,E,l),f(Z,E,null),t(E,vt),t(E,he),p(e,ze,l),p(e,P,l),f(G,P,null),t(P,bt),t(P,ue),t(P,$t),t(P,fe),p(e,Qe,l),p(e,T,l),t(T,M),t(M,Oe),f(K,Oe,null),t(T,_t),t(T,ge),p(e,Re,l),p(e,c,l),f(X,c,null),t(c,xt),t(c,ve),t(c,Pt),t(c,be),t(c,yt),t(c,$e),t(c,wt),t(c,I),f(Y,I,null),t(I,Dt),t(I,_e),t(c,Ct),t(c,O),f(ee,O,null),t(O,Ft),t(O,xe),t(c,Lt),t(c,V),f(te,V,null),t(V,Et),t(V,Pe),p(e,Be,l),p(e,y,l),f(re,y,null),t(y,Tt),t(y,ye),t(y,kt),t(y,W),f(ae,W,null),t(W,Ht),t(W,we),p(e,Ze,l),p(e,w,l),f(ne,w,null),t(w,At),t(w,De),t(w,St),t(w,q),f(oe,q,null),t(q,Mt),t(q,Ce),p(e,Ge,l),p(e,x,l),f(se,x,null),t(x,It),t(x,Fe),t(x,Ot),t(x,Le),t(x,Vt),t(x,N),f(ie,N,null),t(N,Wt),t(N,Ee),p(e,Ke,l),p(e,k,l),t(k,J),t(J,Ve),f(le,Ve,null),t(k,qt),t(k,Te),p(e,Xe,l),p(e,H,l),f(pe,H,null),t(H,Nt),t(H,ke),Ye=!0},p:Pr,i(e){Ye||(g(U.$$.fragment,e),g(R.$$.fragment,e),g(B.$$.fragment,e),g(Z.$$.fragment,e),g(G.$$.fragment,e),g(K.$$.fragment,e),g(X.$$.fragment,e),g(Y.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(re.$$.fragment,e),g(ae.$$.fragment,e),g(ne.$$.fragment,e),g(oe.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(le.$$.fragment,e),g(pe.$$.fragment,e),Ye=!0)},o(e){v(U.$$.fragment,e),v(R.$$.fragment,e),v(B.$$.fragment,e),v(Z.$$.fragment,e),v(G.$$.fragment,e),v(K.$$.fragment,e),v(X.$$.fragment,e),v(Y.$$.fragment,e),v(ee.$$.fragment,e),v(te.$$.fragment,e),v(re.$$.fragment,e),v(ae.$$.fragment,e),v(ne.$$.fragment,e),v(oe.$$.fragment,e),v(se.$$.fragment,e),v(ie.$$.fragment,e),v(le.$$.fragment,e),v(pe.$$.fragment,e),Ye=!1},d(e){e&&(r(We),r(C),r(qe),r(z),r(Ne),r(Q),r(Je),r(F),r(je),r(L),r(Ue),r(E),r(ze),r(P),r(Qe),r(T),r(Re),r(c),r(Be),r(y),r(Ze),r(w),r(Ge),r(x),r(Ke),r(k),r(Xe),r(H)),r(D),b(U),b(R),b(B),b(Z),b(G),b(K),b(X),b(Y),b(ee),b(te),b(re),b(ae),b(ne),b(oe),b(se),b(ie),b(le),b(pe)}}}const Lr={local:"utilities-for-pipelines",sections:[{local:"transformers.pipelines.ArgumentHandler",title:"Argument handling"},{local:"transformers.PipelineDataFormat",title:"Data format"},{local:"transformers.pipelines.PipelineException",title:"Utilities"}],title:"Utilities for pipelines"};function Er(Jt){return yr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Sr extends wr{constructor(D){super(),Dr(this,D,Er,Fr,xr,{})}}export{Sr as component};
