import{s as Z,n as ee,o as te}from"../chunks/scheduler.9bc65507.js";import{S as ne,i as de,g as o,s as i,r as oe,A as ae,h as a,f as t,c,j as G,u as ie,x as r,k,y as L,a as d,v as ce,d as re,t as le,w as se}from"../chunks/index.707bf1b6.js";import{I as he}from"../chunks/IconCopyLink.d239c2d1.js";function ue(Y){let l,z,s,h,w,u,R,y,U="Padding and truncation",H,p,j="Batched inputs are often different lengths, so they can’t be converted to fixed-size tensors. Padding and truncation are strategies for dealing with this problem, to create rectangular tensors from batches of varying lengths. Padding adds a special <strong>padding token</strong> to ensure shorter sequences will have the same length as either the longest sequence in a batch or the maximum length accepted by the model. Truncation works in the other direction by truncating long sequences.",M,m,B="In most cases, padding your batch to the length of the longest sequence and truncating to the maximum length a model can accept works pretty well. However, the API supports more strategies if you need them. The three arguments you need to are: <code>padding</code>, <code>truncation</code> and <code>max_length</code>.",q,g,F="The <code>padding</code> argument controls padding. It can be a boolean or a string:",P,f,J=`<li><code>True</code> or <code>&#39;longest&#39;</code>: pad to the longest sequence in the batch (no padding is applied if you only provide
a single sequence).</li> <li><code>&#39;max_length&#39;</code>: pad to a length specified by the <code>max_length</code> argument or the maximum length accepted
by the model if no <code>max_length</code> is provided (<code>max_length=None</code>). Padding will still be applied if you only provide a single sequence.</li> <li><code>False</code> or <code>&#39;do_not_pad&#39;</code>: no padding is applied. This is the default behavior.</li>`,A,_,O="The <code>truncation</code> argument controls truncation. It can be a boolean or a string:",C,x,D=`<li><code>True</code> or <code>&#39;longest_first&#39;</code>: truncate to a maximum length specified by the <code>max_length</code> argument or
the maximum length accepted by the model if no <code>max_length</code> is provided (<code>max_length=None</code>). This will
truncate token by token, removing a token from the longest sequence in the pair until the proper length is
reached.</li> <li><code>&#39;only_second&#39;</code>: truncate to a maximum length specified by the <code>max_length</code> argument or the maximum
length accepted by the model if no <code>max_length</code> is provided (<code>max_length=None</code>). This will only truncate
the second sentence of a pair if a pair of sequences (or a batch of pairs of sequences) is provided.</li> <li><code>&#39;only_first&#39;</code>: truncate to a maximum length specified by the <code>max_length</code> argument or the maximum
length accepted by the model if no <code>max_length</code> is provided (<code>max_length=None</code>). This will only truncate
the first sentence of a pair if a pair of sequences (or a batch of pairs of sequences) is provided.</li> <li><code>False</code> or <code>&#39;do_not_truncate&#39;</code>: no truncation is applied. This is the default behavior.</li>`,E,b,K="The <code>max_length</code> argument controls the length of the padding and truncation. It can be an integer or <code>None</code>, in which case it will default to the maximum length the model can accept. If the model has no specific maximum input length, truncation or padding to <code>max_length</code> is deactivated.",S,T,Q=`The following table summarizes the recommended way to setup padding and truncation. If you use pairs of input sequences in any of the following examples, you can replace <code>truncation=True</code> by a <code>STRATEGY</code> selected in
<code>[&#39;only_first&#39;, &#39;only_second&#39;, &#39;longest_first&#39;]</code>, i.e. <code>truncation=&#39;only_second&#39;</code> or <code>truncation=&#39;longest_first&#39;</code> to control how both sequences in the pair are truncated as detailed before.`,I,v,V="<thead><tr><th>Truncation</th> <th>Padding</th> <th>Instruction</th></tr></thead> <tbody><tr><td>no truncation</td> <td>no padding</td> <td><code>tokenizer(batch_sentences)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;longest&#39;)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;)</code></td></tr> <tr><td></td> <td>padding to specific length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, max_length=42)</code></td></tr> <tr><td></td> <td>padding to a multiple of a value</td> <td>`tokenizer(batch_sentences, padding=True, pad_to_multiple_of=8)</td></tr> <tr><td>truncation to max model input length</td> <td>no padding</td> <td><code>tokenizer(batch_sentences, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to specific length</td> <td>Not possible</td></tr> <tr><td>truncation to specific length</td> <td>no padding</td> <td><code>tokenizer(batch_sentences, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td>Not possible</td></tr> <tr><td></td> <td>padding to specific length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY, max_length=42)</code></td></tr></tbody>",N;return u=new he({}),{c(){l=o("meta"),z=i(),s=o("h1"),h=o("a"),w=o("span"),oe(u.$$.fragment),R=i(),y=o("span"),y.textContent=U,H=i(),p=o("p"),p.innerHTML=j,M=i(),m=o("p"),m.innerHTML=B,q=i(),g=o("p"),g.innerHTML=F,P=i(),f=o("ul"),f.innerHTML=J,A=i(),_=o("p"),_.innerHTML=O,C=i(),x=o("ul"),x.innerHTML=D,E=i(),b=o("p"),b.innerHTML=K,S=i(),T=o("p"),T.innerHTML=Q,I=i(),v=o("table"),v.innerHTML=V,this.h()},l(e){const n=ae("svelte-1phssyn",document.head);l=a(n,"META",{name:!0,content:!0}),n.forEach(t),z=c(e),s=a(e,"H1",{class:!0});var $=G(s);h=a($,"A",{id:!0,class:!0,href:!0});var W=G(h);w=a(W,"SPAN",{});var X=G(w);ie(u.$$.fragment,X),X.forEach(t),W.forEach(t),R=c($),y=a($,"SPAN",{"data-svelte-h":!0}),r(y)!=="svelte-1pb7o4g"&&(y.textContent=U),$.forEach(t),H=c(e),p=a(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-18l3nu8"&&(p.innerHTML=j),M=c(e),m=a(e,"P",{"data-svelte-h":!0}),r(m)!=="svelte-4dmk3p"&&(m.innerHTML=B),q=c(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1xxctal"&&(g.innerHTML=F),P=c(e),f=a(e,"UL",{"data-svelte-h":!0}),r(f)!=="svelte-1pqvfv8"&&(f.innerHTML=J),A=c(e),_=a(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-14kdvi5"&&(_.innerHTML=O),C=c(e),x=a(e,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-1eic0m4"&&(x.innerHTML=D),E=c(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-n95phd"&&(b.innerHTML=K),S=c(e),T=a(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1rrzmkp"&&(T.innerHTML=Q),I=c(e),v=a(e,"TABLE",{"data-svelte-h":!0}),r(v)!=="svelte-1btfijn"&&(v.innerHTML=V),this.h()},h(){k(l,"name","hf:doc:metadata"),k(l,"content",JSON.stringify(pe)),k(h,"id","padding-and-truncation"),k(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),k(h,"href","#padding-and-truncation"),k(s,"class","relative group")},m(e,n){L(document.head,l),d(e,z,n),d(e,s,n),L(s,h),L(h,w),ce(u,w,null),L(s,R),L(s,y),d(e,H,n),d(e,p,n),d(e,M,n),d(e,m,n),d(e,q,n),d(e,g,n),d(e,P,n),d(e,f,n),d(e,A,n),d(e,_,n),d(e,C,n),d(e,x,n),d(e,E,n),d(e,b,n),d(e,S,n),d(e,T,n),d(e,I,n),d(e,v,n),N=!0},p:ee,i(e){N||(re(u.$$.fragment,e),N=!0)},o(e){le(u.$$.fragment,e),N=!1},d(e){e&&(t(z),t(s),t(H),t(p),t(M),t(m),t(q),t(g),t(P),t(f),t(A),t(_),t(C),t(x),t(E),t(b),t(S),t(T),t(I),t(v)),t(l),se(u)}}}const pe={local:"padding-and-truncation",title:"Padding and truncation"};function me(Y){return te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xe extends ne{constructor(l){super(),de(this,l,me,ue,Z,{})}}export{xe as component};
