import{s as _o,o as vo,n as uo}from"../chunks/scheduler.9bc65507.js";import{S as bo,i as ko,g as r,s as n,r as c,A as xo,h as o,f as a,c as l,j as d,u as h,x as p,k as s,y as t,a as m,v as g,d as f,t as u,w as _}from"../chunks/index.707bf1b6.js";import{T as fo}from"../chunks/Tip.c2ecdbf4.js";import{D as C}from"../chunks/Docstring.4f78d428.js";import{I as K}from"../chunks/IconCopyLink.d239c2d1.js";function $o(Oe){let v,F=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){v=r("p"),v.innerHTML=F},l(b){v=o(b,"P",{"data-svelte-h":!0}),p(v)!=="svelte-as97g6"&&(v.innerHTML=F)},m(b,T){m(b,v,T)},p:uo,d(b){b&&a(v)}}}function Co(Oe){let v,F=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/v4.33.3/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){v=r("p"),v.innerHTML=F},l(b){v=o(b,"P",{"data-svelte-h":!0}),p(v)!=="svelte-srzikp"&&(v.innerHTML=F)},m(b,T){m(b,v,T)},p:uo,d(b){b&&a(v)}}}function yo(Oe){let v,F,b,T,Dt,me,ba,Be,cr="Data Collator",Et,pe,hr=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,Nt,ce,gr=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/v4.33.3/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,It,he,fr='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',Ht,A,R,Tt,ge,ka,Ue,ur="Default data collator",Wt,D,fe,xa,Ke,_r=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,$a,Re,vr="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ca,Je,br=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Vt,E,J,Pt,ue,ya,Xe,kr="DefaultDataCollator",jt,y,_e,wa,Ge,xr=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Da,Qe,$r="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ta,Ye,Cr=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Pa,Ze,yr=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,Ot,N,X,St,ve,Sa,et,wr="DataCollatorWithPadding",Bt,I,be,Fa,tt,Dr="Data collator that will dynamically pad the inputs received.",Ut,H,G,Ft,ke,La,at,Tr="DataCollatorForTokenClassification",Kt,W,xe,Ma,rt,Pr="Data collator that will dynamically pad the inputs received, as well as the labels.",Rt,V,Q,Lt,$e,qa,ot,Sr="DataCollatorForSeq2Seq",Jt,j,Ce,za,nt,Fr="Data collator that will dynamically pad the inputs received, as well as the labels.",Xt,O,Y,Mt,ye,Aa,lt,Lr="DataCollatorForLanguageModeling",Gt,x,we,Ea,st,Mr=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Na,Z,Ia,ee,De,Ha,it,qr="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Wa,te,Te,Va,dt,zr="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ja,ae,Pe,Oa,mt,Ar="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Qt,B,re,qt,Se,Ba,pt,Er="DataCollatorForWholeWordMask",Yt,k,Fe,Ua,ct,Nr="Data collator used for language modeling that masks entire words.",Ka,ht,Ir="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",Ra,oe,Ja,ne,Le,Xa,gt,Hr=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Ga,le,Me,Qa,ft,Wr=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Ya,se,qe,Za,ut,Vr=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Zt,U,ie,zt,ze,er,_t,jr="DataCollatorForPermutationLanguageModeling",ea,$,Ae,tr,vt,Or="Data collator used for permutation language modeling.",ar,bt,Br="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",rr,L,Ee,or,kt,Ur="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",nr,Ne,Kr=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,lr,M,Ie,sr,xt,Rr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ir,He,Jr=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,dr,q,We,mr,$t,Xr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",pr,Ve,Gr=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,ta;return me=new K({}),ge=new K({}),fe=new C({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L52"}}),ue=new K({}),_e=new C({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L78"}}),ve=new K({}),be=new C({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.33.3/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L215"}}),ke=new K({}),xe=new C({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.33.3/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L266"}}),$e=new K({}),Ce=new C({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/v4.33.3/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/v4.33.3/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L517"}}),ye=new K({}),we=new C({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/v4.33.3/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L607"}}),Z=new fo({props:{$$slots:{default:[$o]},$$scope:{ctx:Oe}}}),De=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L806"}}),Te=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L659"}}),Pe=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L751"}}),Se=new K({}),Fe=new C({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L845"}}),oe=new fo({props:{$$slots:{default:[Co]},$$scope:{ctx:Oe}}}),Le=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1075"}}),Me=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1033"}}),qe=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L993"}}),ze=new K({}),Ae=new C({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1200"}}),Ee=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1440"}}),Ie=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1333"}}),We=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/data/data_collator.py#L1234"}}),{c(){v=r("meta"),F=n(),b=r("h1"),T=r("a"),Dt=r("span"),c(me.$$.fragment),ba=n(),Be=r("span"),Be.textContent=cr,Et=n(),pe=r("p"),pe.innerHTML=hr,Nt=n(),ce=r("p"),ce.innerHTML=gr,It=n(),he=r("p"),he.innerHTML=fr,Ht=n(),A=r("h2"),R=r("a"),Tt=r("span"),c(ge.$$.fragment),ka=n(),Ue=r("span"),Ue.textContent=ur,Wt=n(),D=r("div"),c(fe.$$.fragment),xa=n(),Ke=r("p"),Ke.textContent=_r,$a=n(),Re=r("ul"),Re.innerHTML=vr,Ca=n(),Je=r("p"),Je.textContent=br,Vt=n(),E=r("h2"),J=r("a"),Pt=r("span"),c(ue.$$.fragment),ya=n(),Xe=r("span"),Xe.textContent=kr,jt=n(),y=r("div"),c(_e.$$.fragment),wa=n(),Ge=r("p"),Ge.textContent=xr,Da=n(),Qe=r("ul"),Qe.innerHTML=$r,Ta=n(),Ye=r("p"),Ye.textContent=Cr,Pa=n(),Ze=r("p"),Ze.textContent=yr,Ot=n(),N=r("h2"),X=r("a"),St=r("span"),c(ve.$$.fragment),Sa=n(),et=r("span"),et.textContent=wr,Bt=n(),I=r("div"),c(be.$$.fragment),Fa=n(),tt=r("p"),tt.textContent=Dr,Ut=n(),H=r("h2"),G=r("a"),Ft=r("span"),c(ke.$$.fragment),La=n(),at=r("span"),at.textContent=Tr,Kt=n(),W=r("div"),c(xe.$$.fragment),Ma=n(),rt=r("p"),rt.textContent=Pr,Rt=n(),V=r("h2"),Q=r("a"),Lt=r("span"),c($e.$$.fragment),qa=n(),ot=r("span"),ot.textContent=Sr,Jt=n(),j=r("div"),c(Ce.$$.fragment),za=n(),nt=r("p"),nt.textContent=Fr,Xt=n(),O=r("h2"),Y=r("a"),Mt=r("span"),c(ye.$$.fragment),Aa=n(),lt=r("span"),lt.textContent=Lr,Gt=n(),x=r("div"),c(we.$$.fragment),Ea=n(),st=r("p"),st.textContent=Mr,Na=n(),c(Z.$$.fragment),Ia=n(),ee=r("div"),c(De.$$.fragment),Ha=n(),it=r("p"),it.textContent=qr,Wa=n(),te=r("div"),c(Te.$$.fragment),Va=n(),dt=r("p"),dt.textContent=zr,ja=n(),ae=r("div"),c(Pe.$$.fragment),Oa=n(),mt=r("p"),mt.textContent=Ar,Qt=n(),B=r("h2"),re=r("a"),qt=r("span"),c(Se.$$.fragment),Ba=n(),pt=r("span"),pt.textContent=Er,Yt=n(),k=r("div"),c(Fe.$$.fragment),Ua=n(),ct=r("p"),ct.textContent=Nr,Ka=n(),ht=r("ul"),ht.innerHTML=Ir,Ra=n(),c(oe.$$.fragment),Ja=n(),ne=r("div"),c(Le.$$.fragment),Xa=n(),gt=r("p"),gt.textContent=Hr,Ga=n(),le=r("div"),c(Me.$$.fragment),Qa=n(),ft=r("p"),ft.textContent=Wr,Ya=n(),se=r("div"),c(qe.$$.fragment),Za=n(),ut=r("p"),ut.textContent=Vr,Zt=n(),U=r("h2"),ie=r("a"),zt=r("span"),c(ze.$$.fragment),er=n(),_t=r("span"),_t.textContent=jr,ea=n(),$=r("div"),c(Ae.$$.fragment),tr=n(),vt=r("p"),vt.textContent=Or,ar=n(),bt=r("ul"),bt.innerHTML=Br,rr=n(),L=r("div"),c(Ee.$$.fragment),or=n(),kt=r("p"),kt.textContent=Ur,nr=n(),Ne=r("ol"),Ne.innerHTML=Kr,lr=n(),M=r("div"),c(Ie.$$.fragment),sr=n(),xt=r("p"),xt.textContent=Rr,ir=n(),He=r("ol"),He.innerHTML=Jr,dr=n(),q=r("div"),c(We.$$.fragment),mr=n(),$t=r("p"),$t.textContent=Xr,pr=n(),Ve=r("ol"),Ve.innerHTML=Gr,this.h()},l(e){const i=xo("svelte-1phssyn",document.head);v=o(i,"META",{name:!0,content:!0}),i.forEach(a),F=l(e),b=o(e,"H1",{class:!0});var je=d(b);T=o(je,"A",{id:!0,class:!0,href:!0});var At=d(T);Dt=o(At,"SPAN",{});var Qr=d(Dt);h(me.$$.fragment,Qr),Qr.forEach(a),At.forEach(a),ba=l(je),Be=o(je,"SPAN",{"data-svelte-h":!0}),p(Be)!=="svelte-1qgklnp"&&(Be.textContent=cr),je.forEach(a),Et=l(e),pe=o(e,"P",{"data-svelte-h":!0}),p(pe)!=="svelte-1kxfoc9"&&(pe.innerHTML=hr),Nt=l(e),ce=o(e,"P",{"data-svelte-h":!0}),p(ce)!=="svelte-9b77tu"&&(ce.innerHTML=gr),It=l(e),he=o(e,"P",{"data-svelte-h":!0}),p(he)!=="svelte-10kyi1a"&&(he.innerHTML=fr),Ht=l(e),A=o(e,"H2",{class:!0});var aa=d(A);R=o(aa,"A",{id:!0,class:!0,href:!0});var Yr=d(R);Tt=o(Yr,"SPAN",{});var Zr=d(Tt);h(ge.$$.fragment,Zr),Zr.forEach(a),Yr.forEach(a),ka=l(aa),Ue=o(aa,"SPAN",{"data-svelte-h":!0}),p(Ue)!=="svelte-g6h76k"&&(Ue.textContent=ur),aa.forEach(a),Wt=l(e),D=o(e,"DIV",{class:!0});var de=d(D);h(fe.$$.fragment,de),xa=l(de),Ke=o(de,"P",{"data-svelte-h":!0}),p(Ke)!=="svelte-1hmsgsg"&&(Ke.textContent=_r),$a=l(de),Re=o(de,"UL",{"data-svelte-h":!0}),p(Re)!=="svelte-1pq8qks"&&(Re.innerHTML=vr),Ca=l(de),Je=o(de,"P",{"data-svelte-h":!0}),p(Je)!=="svelte-1vi1gug"&&(Je.textContent=br),de.forEach(a),Vt=l(e),E=o(e,"H2",{class:!0});var ra=d(E);J=o(ra,"A",{id:!0,class:!0,href:!0});var eo=d(J);Pt=o(eo,"SPAN",{});var to=d(Pt);h(ue.$$.fragment,to),to.forEach(a),eo.forEach(a),ya=l(ra),Xe=o(ra,"SPAN",{"data-svelte-h":!0}),p(Xe)!=="svelte-5hj65g"&&(Xe.textContent=kr),ra.forEach(a),jt=l(e),y=o(e,"DIV",{class:!0});var z=d(y);h(_e.$$.fragment,z),wa=l(z),Ge=o(z,"P",{"data-svelte-h":!0}),p(Ge)!=="svelte-1hmsgsg"&&(Ge.textContent=xr),Da=l(z),Qe=o(z,"UL",{"data-svelte-h":!0}),p(Qe)!=="svelte-1pq8qks"&&(Qe.innerHTML=$r),Ta=l(z),Ye=o(z,"P",{"data-svelte-h":!0}),p(Ye)!=="svelte-1vi1gug"&&(Ye.textContent=Cr),Pa=l(z),Ze=o(z,"P",{"data-svelte-h":!0}),p(Ze)!=="svelte-vfvbwr"&&(Ze.textContent=yr),z.forEach(a),Ot=l(e),N=o(e,"H2",{class:!0});var oa=d(N);X=o(oa,"A",{id:!0,class:!0,href:!0});var ao=d(X);St=o(ao,"SPAN",{});var ro=d(St);h(ve.$$.fragment,ro),ro.forEach(a),ao.forEach(a),Sa=l(oa),et=o(oa,"SPAN",{"data-svelte-h":!0}),p(et)!=="svelte-58lv74"&&(et.textContent=wr),oa.forEach(a),Bt=l(e),I=o(e,"DIV",{class:!0});var na=d(I);h(be.$$.fragment,na),Fa=l(na),tt=o(na,"P",{"data-svelte-h":!0}),p(tt)!=="svelte-1iebpai"&&(tt.textContent=Dr),na.forEach(a),Ut=l(e),H=o(e,"H2",{class:!0});var la=d(H);G=o(la,"A",{id:!0,class:!0,href:!0});var oo=d(G);Ft=o(oo,"SPAN",{});var no=d(Ft);h(ke.$$.fragment,no),no.forEach(a),oo.forEach(a),La=l(la),at=o(la,"SPAN",{"data-svelte-h":!0}),p(at)!=="svelte-1s7cpa7"&&(at.textContent=Tr),la.forEach(a),Kt=l(e),W=o(e,"DIV",{class:!0});var sa=d(W);h(xe.$$.fragment,sa),Ma=l(sa),rt=o(sa,"P",{"data-svelte-h":!0}),p(rt)!=="svelte-4uvw1w"&&(rt.textContent=Pr),sa.forEach(a),Rt=l(e),V=o(e,"H2",{class:!0});var ia=d(V);Q=o(ia,"A",{id:!0,class:!0,href:!0});var lo=d(Q);Lt=o(lo,"SPAN",{});var so=d(Lt);h($e.$$.fragment,so),so.forEach(a),lo.forEach(a),qa=l(ia),ot=o(ia,"SPAN",{"data-svelte-h":!0}),p(ot)!=="svelte-1yqtmni"&&(ot.textContent=Sr),ia.forEach(a),Jt=l(e),j=o(e,"DIV",{class:!0});var da=d(j);h(Ce.$$.fragment,da),za=l(da),nt=o(da,"P",{"data-svelte-h":!0}),p(nt)!=="svelte-4uvw1w"&&(nt.textContent=Fr),da.forEach(a),Xt=l(e),O=o(e,"H2",{class:!0});var ma=d(O);Y=o(ma,"A",{id:!0,class:!0,href:!0});var io=d(Y);Mt=o(io,"SPAN",{});var mo=d(Mt);h(ye.$$.fragment,mo),mo.forEach(a),io.forEach(a),Aa=l(ma),lt=o(ma,"SPAN",{"data-svelte-h":!0}),p(lt)!=="svelte-4t0q3j"&&(lt.textContent=Lr),ma.forEach(a),Gt=l(e),x=o(e,"DIV",{class:!0});var P=d(x);h(we.$$.fragment,P),Ea=l(P),st=o(P,"P",{"data-svelte-h":!0}),p(st)!=="svelte-10km8jk"&&(st.textContent=Mr),Na=l(P),h(Z.$$.fragment,P),Ia=l(P),ee=o(P,"DIV",{class:!0});var pa=d(ee);h(De.$$.fragment,pa),Ha=l(pa),it=o(pa,"P",{"data-svelte-h":!0}),p(it)!=="svelte-iv4xqf"&&(it.textContent=qr),pa.forEach(a),Wa=l(P),te=o(P,"DIV",{class:!0});var ca=d(te);h(Te.$$.fragment,ca),Va=l(ca),dt=o(ca,"P",{"data-svelte-h":!0}),p(dt)!=="svelte-iv4xqf"&&(dt.textContent=zr),ca.forEach(a),ja=l(P),ae=o(P,"DIV",{class:!0});var ha=d(ae);h(Pe.$$.fragment,ha),Oa=l(ha),mt=o(ha,"P",{"data-svelte-h":!0}),p(mt)!=="svelte-iv4xqf"&&(mt.textContent=Ar),ha.forEach(a),P.forEach(a),Qt=l(e),B=o(e,"H2",{class:!0});var ga=d(B);re=o(ga,"A",{id:!0,class:!0,href:!0});var po=d(re);qt=o(po,"SPAN",{});var co=d(qt);h(Se.$$.fragment,co),co.forEach(a),po.forEach(a),Ba=l(ga),pt=o(ga,"SPAN",{"data-svelte-h":!0}),p(pt)!=="svelte-1njtbzl"&&(pt.textContent=Er),ga.forEach(a),Yt=l(e),k=o(e,"DIV",{class:!0});var w=d(k);h(Fe.$$.fragment,w),Ua=l(w),ct=o(w,"P",{"data-svelte-h":!0}),p(ct)!=="svelte-sjqk55"&&(ct.textContent=Nr),Ka=l(w),ht=o(w,"UL",{"data-svelte-h":!0}),p(ht)!=="svelte-d2ozxj"&&(ht.innerHTML=Ir),Ra=l(w),h(oe.$$.fragment,w),Ja=l(w),ne=o(w,"DIV",{class:!0});var fa=d(ne);h(Le.$$.fragment,fa),Xa=l(fa),gt=o(fa,"P",{"data-svelte-h":!0}),p(gt)!=="svelte-10msjh1"&&(gt.textContent=Hr),fa.forEach(a),Ga=l(w),le=o(w,"DIV",{class:!0});var ua=d(le);h(Me.$$.fragment,ua),Qa=l(ua),ft=o(ua,"P",{"data-svelte-h":!0}),p(ft)!=="svelte-10msjh1"&&(ft.textContent=Wr),ua.forEach(a),Ya=l(w),se=o(w,"DIV",{class:!0});var _a=d(se);h(qe.$$.fragment,_a),Za=l(_a),ut=o(_a,"P",{"data-svelte-h":!0}),p(ut)!=="svelte-10msjh1"&&(ut.textContent=Vr),_a.forEach(a),w.forEach(a),Zt=l(e),U=o(e,"H2",{class:!0});var va=d(U);ie=o(va,"A",{id:!0,class:!0,href:!0});var ho=d(ie);zt=o(ho,"SPAN",{});var go=d(zt);h(ze.$$.fragment,go),go.forEach(a),ho.forEach(a),er=l(va),_t=o(va,"SPAN",{"data-svelte-h":!0}),p(_t)!=="svelte-1783rif"&&(_t.textContent=jr),va.forEach(a),ea=l(e),$=o(e,"DIV",{class:!0});var S=d($);h(Ae.$$.fragment,S),tr=l(S),vt=o(S,"P",{"data-svelte-h":!0}),p(vt)!=="svelte-12inif1"&&(vt.textContent=Or),ar=l(S),bt=o(S,"UL",{"data-svelte-h":!0}),p(bt)!=="svelte-1t4qh7k"&&(bt.innerHTML=Br),rr=l(S),L=o(S,"DIV",{class:!0});var Ct=d(L);h(Ee.$$.fragment,Ct),or=l(Ct),kt=o(Ct,"P",{"data-svelte-h":!0}),p(kt)!=="svelte-1u70phx"&&(kt.textContent=Ur),nr=l(Ct),Ne=o(Ct,"OL",{start:!0,"data-svelte-h":!0}),p(Ne)!=="svelte-1r6jrbi"&&(Ne.innerHTML=Kr),Ct.forEach(a),lr=l(S),M=o(S,"DIV",{class:!0});var yt=d(M);h(Ie.$$.fragment,yt),sr=l(yt),xt=o(yt,"P",{"data-svelte-h":!0}),p(xt)!=="svelte-1u70phx"&&(xt.textContent=Rr),ir=l(yt),He=o(yt,"OL",{start:!0,"data-svelte-h":!0}),p(He)!=="svelte-1r6jrbi"&&(He.innerHTML=Jr),yt.forEach(a),dr=l(S),q=o(S,"DIV",{class:!0});var wt=d(q);h(We.$$.fragment,wt),mr=l(wt),$t=o(wt,"P",{"data-svelte-h":!0}),p($t)!=="svelte-1u70phx"&&($t.textContent=Xr),pr=l(wt),Ve=o(wt,"OL",{start:!0,"data-svelte-h":!0}),p(Ve)!=="svelte-1r6jrbi"&&(Ve.innerHTML=Gr),wt.forEach(a),S.forEach(a),this.h()},h(){s(v,"name","hf:doc:metadata"),s(v,"content",JSON.stringify(wo)),s(T,"id","data-collator"),s(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(T,"href","#data-collator"),s(b,"class","relative group"),s(R,"id","transformers.default_data_collator"),s(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(R,"href","#transformers.default_data_collator"),s(A,"class","relative group"),s(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(J,"id","transformers.DefaultDataCollator"),s(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(J,"href","#transformers.DefaultDataCollator"),s(E,"class","relative group"),s(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(X,"id","transformers.DataCollatorWithPadding"),s(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(X,"href","#transformers.DataCollatorWithPadding"),s(N,"class","relative group"),s(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(G,"id","transformers.DataCollatorForTokenClassification"),s(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(G,"href","#transformers.DataCollatorForTokenClassification"),s(H,"class","relative group"),s(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Q,"id","transformers.DataCollatorForSeq2Seq"),s(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Q,"href","#transformers.DataCollatorForSeq2Seq"),s(V,"class","relative group"),s(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Y,"id","transformers.DataCollatorForLanguageModeling"),s(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Y,"href","#transformers.DataCollatorForLanguageModeling"),s(O,"class","relative group"),s(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(re,"id","transformers.DataCollatorForWholeWordMask"),s(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(re,"href","#transformers.DataCollatorForWholeWordMask"),s(B,"class","relative group"),s(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(ie,"id","transformers.DataCollatorForPermutationLanguageModeling"),s(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ie,"href","#transformers.DataCollatorForPermutationLanguageModeling"),s(U,"class","relative group"),s(Ne,"start","0"),s(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(He,"start","0"),s(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(Ve,"start","0"),s(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,v),m(e,F,i),m(e,b,i),t(b,T),t(T,Dt),g(me,Dt,null),t(b,ba),t(b,Be),m(e,Et,i),m(e,pe,i),m(e,Nt,i),m(e,ce,i),m(e,It,i),m(e,he,i),m(e,Ht,i),m(e,A,i),t(A,R),t(R,Tt),g(ge,Tt,null),t(A,ka),t(A,Ue),m(e,Wt,i),m(e,D,i),g(fe,D,null),t(D,xa),t(D,Ke),t(D,$a),t(D,Re),t(D,Ca),t(D,Je),m(e,Vt,i),m(e,E,i),t(E,J),t(J,Pt),g(ue,Pt,null),t(E,ya),t(E,Xe),m(e,jt,i),m(e,y,i),g(_e,y,null),t(y,wa),t(y,Ge),t(y,Da),t(y,Qe),t(y,Ta),t(y,Ye),t(y,Pa),t(y,Ze),m(e,Ot,i),m(e,N,i),t(N,X),t(X,St),g(ve,St,null),t(N,Sa),t(N,et),m(e,Bt,i),m(e,I,i),g(be,I,null),t(I,Fa),t(I,tt),m(e,Ut,i),m(e,H,i),t(H,G),t(G,Ft),g(ke,Ft,null),t(H,La),t(H,at),m(e,Kt,i),m(e,W,i),g(xe,W,null),t(W,Ma),t(W,rt),m(e,Rt,i),m(e,V,i),t(V,Q),t(Q,Lt),g($e,Lt,null),t(V,qa),t(V,ot),m(e,Jt,i),m(e,j,i),g(Ce,j,null),t(j,za),t(j,nt),m(e,Xt,i),m(e,O,i),t(O,Y),t(Y,Mt),g(ye,Mt,null),t(O,Aa),t(O,lt),m(e,Gt,i),m(e,x,i),g(we,x,null),t(x,Ea),t(x,st),t(x,Na),g(Z,x,null),t(x,Ia),t(x,ee),g(De,ee,null),t(ee,Ha),t(ee,it),t(x,Wa),t(x,te),g(Te,te,null),t(te,Va),t(te,dt),t(x,ja),t(x,ae),g(Pe,ae,null),t(ae,Oa),t(ae,mt),m(e,Qt,i),m(e,B,i),t(B,re),t(re,qt),g(Se,qt,null),t(B,Ba),t(B,pt),m(e,Yt,i),m(e,k,i),g(Fe,k,null),t(k,Ua),t(k,ct),t(k,Ka),t(k,ht),t(k,Ra),g(oe,k,null),t(k,Ja),t(k,ne),g(Le,ne,null),t(ne,Xa),t(ne,gt),t(k,Ga),t(k,le),g(Me,le,null),t(le,Qa),t(le,ft),t(k,Ya),t(k,se),g(qe,se,null),t(se,Za),t(se,ut),m(e,Zt,i),m(e,U,i),t(U,ie),t(ie,zt),g(ze,zt,null),t(U,er),t(U,_t),m(e,ea,i),m(e,$,i),g(Ae,$,null),t($,tr),t($,vt),t($,ar),t($,bt),t($,rr),t($,L),g(Ee,L,null),t(L,or),t(L,kt),t(L,nr),t(L,Ne),t($,lr),t($,M),g(Ie,M,null),t(M,sr),t(M,xt),t(M,ir),t(M,He),t($,dr),t($,q),g(We,q,null),t(q,mr),t(q,$t),t(q,pr),t(q,Ve),ta=!0},p(e,[i]){const je={};i&2&&(je.$$scope={dirty:i,ctx:e}),Z.$set(je);const At={};i&2&&(At.$$scope={dirty:i,ctx:e}),oe.$set(At)},i(e){ta||(f(me.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(_e.$$.fragment,e),f(ve.$$.fragment,e),f(be.$$.fragment,e),f(ke.$$.fragment,e),f(xe.$$.fragment,e),f($e.$$.fragment,e),f(Ce.$$.fragment,e),f(ye.$$.fragment,e),f(we.$$.fragment,e),f(Z.$$.fragment,e),f(De.$$.fragment,e),f(Te.$$.fragment,e),f(Pe.$$.fragment,e),f(Se.$$.fragment,e),f(Fe.$$.fragment,e),f(oe.$$.fragment,e),f(Le.$$.fragment,e),f(Me.$$.fragment,e),f(qe.$$.fragment,e),f(ze.$$.fragment,e),f(Ae.$$.fragment,e),f(Ee.$$.fragment,e),f(Ie.$$.fragment,e),f(We.$$.fragment,e),ta=!0)},o(e){u(me.$$.fragment,e),u(ge.$$.fragment,e),u(fe.$$.fragment,e),u(ue.$$.fragment,e),u(_e.$$.fragment,e),u(ve.$$.fragment,e),u(be.$$.fragment,e),u(ke.$$.fragment,e),u(xe.$$.fragment,e),u($e.$$.fragment,e),u(Ce.$$.fragment,e),u(ye.$$.fragment,e),u(we.$$.fragment,e),u(Z.$$.fragment,e),u(De.$$.fragment,e),u(Te.$$.fragment,e),u(Pe.$$.fragment,e),u(Se.$$.fragment,e),u(Fe.$$.fragment,e),u(oe.$$.fragment,e),u(Le.$$.fragment,e),u(Me.$$.fragment,e),u(qe.$$.fragment,e),u(ze.$$.fragment,e),u(Ae.$$.fragment,e),u(Ee.$$.fragment,e),u(Ie.$$.fragment,e),u(We.$$.fragment,e),ta=!1},d(e){e&&(a(F),a(b),a(Et),a(pe),a(Nt),a(ce),a(It),a(he),a(Ht),a(A),a(Wt),a(D),a(Vt),a(E),a(jt),a(y),a(Ot),a(N),a(Bt),a(I),a(Ut),a(H),a(Kt),a(W),a(Rt),a(V),a(Jt),a(j),a(Xt),a(O),a(Gt),a(x),a(Qt),a(B),a(Yt),a(k),a(Zt),a(U),a(ea),a($)),a(v),_(me),_(ge),_(fe),_(ue),_(_e),_(ve),_(be),_(ke),_(xe),_($e),_(Ce),_(ye),_(we),_(Z),_(De),_(Te),_(Pe),_(Se),_(Fe),_(oe),_(Le),_(Me),_(qe),_(ze),_(Ae),_(Ee),_(Ie),_(We)}}}const wo={local:"data-collator",sections:[{local:"transformers.default_data_collator",title:"Default data collator"},{local:"transformers.DefaultDataCollator",title:"DefaultDataCollator"},{local:"transformers.DataCollatorWithPadding",title:"DataCollatorWithPadding"},{local:"transformers.DataCollatorForTokenClassification",title:"DataCollatorForTokenClassification"},{local:"transformers.DataCollatorForSeq2Seq",title:"DataCollatorForSeq2Seq"},{local:"transformers.DataCollatorForLanguageModeling",title:"DataCollatorForLanguageModeling"},{local:"transformers.DataCollatorForWholeWordMask",title:"DataCollatorForWholeWordMask"},{local:"transformers.DataCollatorForPermutationLanguageModeling",title:"DataCollatorForPermutationLanguageModeling"}],title:"Data Collator"};function Do(Oe){return vo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mo extends bo{constructor(v){super(),ko(this,v,Do,yo,_o,{})}}export{Mo as component};
