import{s as Lr,o as Mr,n as Ir}from"../chunks/scheduler.9bc65507.js";import{S as Ar,i as Jr,g as n,s as l,r as u,m as kr,A as Sr,h as o,f as t,c as i,j as _,u as c,x as m,n as Pr,k as f,y as a,a as s,v,d as h,t as b,w as $}from"../chunks/index.707bf1b6.js";import{T as Hr}from"../chunks/Tip.c2ecdbf4.js";import{D as T}from"../chunks/Docstring.4f78d428.js";import{C as Ge}from"../chunks/CodeBlock.a5ecddf7.js";import{I as Yt}from"../chunks/IconCopyLink.d239c2d1.js";import{E as Vr}from"../chunks/ExampleCodeBlock.14a94161.js";function Ur(_e){let d,N="🤗 Transformers has following logging levels:",y,p,x="<li>50: <code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li> <li>40: <code>transformers.logging.ERROR</code></li> <li>30: <code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li> <li>20: <code>transformers.logging.INFO</code></li> <li>10: <code>transformers.logging.DEBUG</code></li>";return{c(){d=n("p"),d.textContent=N,y=l(),p=n("ul"),p.innerHTML=x},l(g){d=o(g,"P",{"data-svelte-h":!0}),m(d)!=="svelte-xr075s"&&(d.textContent=N),y=i(g),p=o(g,"UL",{"data-svelte-h":!0}),m(p)!=="svelte-1s22l0g"&&(p.innerHTML=x)},m(g,w){s(g,d,w),s(g,y,w),s(g,p,w)},p:Ir,d(g){g&&(t(d),t(y),t(p))}}}function Fr(_e){let d,N="Enable explicit formatting for every HuggingFace Transformers’s logger. The explicit formatter is as follows:",y,p,x;return p=new Ge({props:{code:"JTIwJTIwJTIwJTIwJTVCTEVWRUxOQU1FJTdDRklMRU5BTUUlN0NMSU5FJTIwTlVNQkVSJTVEJTIwVElNRSUyMCUzRSUzRSUyME1FU1NBR0U=",highlighted:'    [LEVELNAME|<span class="hljs-type">FILENAME</span>|<span class="hljs-type">LINE</span> NUMBER] TIME &gt;&gt; MESSAGE'}}),{c(){d=n("p"),d.textContent=N,y=l(),u(p.$$.fragment)},l(g){d=o(g,"P",{"data-svelte-h":!0}),m(d)!=="svelte-1db65t5"&&(d.textContent=N),y=i(g),c(p.$$.fragment,g)},m(g,w){s(g,d,w),s(g,y,w),v(p,g,w),x=!0},p:Ir,i(g){x||(h(p.$$.fragment,g),x=!0)},o(g){b(p.$$.fragment,g),x=!1},d(g){g&&(t(d),t(y)),$(p,g)}}}function Dr(_e){let d,N,y,p,x,g,w,ye,Kt="Logging",Ze,G,Qt="🤗 Transformers has a centralized logging system, so that you can setup the verbosity of the library easily.",je,Z,er="Currently the default verbosity of the library is <code>WARNING</code>.",qe,j,tr=`To change the level of verbosity, just use one of the direct setters. For instance, here is how to change the verbosity
to the INFO level.`,Xe,q,ze,X,rr=`You can also use the environment variable <code>TRANSFORMERS_VERBOSITY</code> to override the default verbosity. You can set it
to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>. For example:`,Ye,z,Ke,Y,sr=`Additionally, some <code>warnings</code> can be disabled by setting the environment variable
<code>TRANSFORMERS_NO_ADVISORY_WARNINGS</code> to a true value, like <em>1</em>. This will disable any warning that is logged using
<code>logger.warning_advice</code>. For example:`,Qe,K,et,Q,nr="Here is an example of how to use the same logger as the library in your own module or script:",tt,ee,rt,te,or=`All the methods of this logging module are documented below, the main ones are
<a href="/docs/transformers/v4.33.3/en/main_classes/logging#transformers.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger and
<a href="/docs/transformers/v4.33.3/en/main_classes/logging#transformers.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice. In order (from the least
verbose to the most verbose), those levels (with their corresponding int values in parenthesis) are:`,st,re,lr=`<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code> (int value, 50): only report the most
critical errors.</li> <li><code>transformers.logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code> (int value, 30): only reports error and
warnings. This the default level used by the library.</li> <li><code>transformers.logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>transformers.logging.DEBUG</code> (int value, 10): report all information.</li>`,nt,se,ir='By default, <code>tqdm</code> progress bars will be displayed during model download. <a href="/docs/transformers/v4.33.3/en/main_classes/logging#transformers.utils.logging.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/transformers/v4.33.3/en/main_classes/logging#transformers.utils.logging.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',ot,L,D,De,ne,At,xe,ar="Base setters",lt,M,oe,Jt,Te,gr="Set the verbosity to the <code>ERROR</code> level.",it,A,le,kt,we,mr="Set the verbosity to the <code>WARNING</code> level.",at,J,ie,St,Ce,fr="Set the verbosity to the <code>INFO</code> level.",gt,k,ae,Pt,Ee,dr="Set the verbosity to the <code>DEBUG</code> level.",mt,S,B,Be,ge,Ht,Re,pr="Other functions",ft,C,me,Vt,Ne,ur="Return the current level for the 🤗 Transformers’s root logger as an int.",Ut,O,dt,P,fe,Ft,Ie,cr="Set the verbosity level for the 🤗 Transformers’s root logger.",pt,E,de,Dt,Le,vr="Return a logger with the specified name.",Bt,Me,hr="This function is not supposed to be directly accessed unless you are writing a custom transformers module.",ut,H,pe,Ot,Ae,br="Enable the default handler of the HuggingFace Transformers’s root logger.",ct,V,ue,Wt,Je,$r="Disable the default handler of the HuggingFace Transformers’s root logger.",vt,I,ce,Gt,W,Zt,ht,R,ve,jt,ke,_r="Resets the formatting for HuggingFace Transformers’s loggers.",qt,Se,yr="All handlers currently bound to the root logger are affected by this method.",bt,U,he,Xt,Pe,xr="Enable tqdm progress bar.",$t,F,be,zt,He,Tr="Disable tqdm progress bar.",_t;return g=new Yt({}),q=new Ge({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJzJTBBJTBBdHJhbnNmb3JtZXJzLmxvZ2dpbmcuc2V0X3ZlcmJvc2l0eV9pbmZvKCk=",highlighted:`<span class="hljs-keyword">import</span> transformers

transformers.logging.set_verbosity_info()`}}),z=new Ge({props:{code:"VFJBTlNGT1JNRVJTX1ZFUkJPU0lUWSUzRGVycm9yJTIwLiUyRm15cHJvZ3JhbS5weQ==",highlighted:"TRANSFORMERS_VERBOSITY=error ./myprogram.py"}}),K=new Ge({props:{code:"VFJBTlNGT1JNRVJTX05PX0FEVklTT1JZX1dBUk5JTkdTJTNEMSUyMC4lMkZteXByb2dyYW0ucHk=",highlighted:"TRANSFORMERS_NO_ADVISORY_WARNINGS=1 ./myprogram.py"}}),ee=new Ge({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycy51dGlscyUyMGltcG9ydCUyMGxvZ2dpbmclMEElMEFsb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygpJTBBbG9nZ2VyJTIwJTNEJTIwbG9nZ2luZy5nZXRfbG9nZ2VyKCUyMnRyYW5zZm9ybWVycyUyMiklMEFsb2dnZXIuaW5mbyglMjJJTkZPJTIyKSUwQWxvZ2dlci53YXJuaW5nKCUyMldBUk4lMjIp",highlighted:`<span class="hljs-keyword">from</span> transformers.utils <span class="hljs-keyword">import</span> logging

logging.set_verbosity_info()
logger = logging.get_logger(<span class="hljs-string">&quot;transformers&quot;</span>)
logger.info(<span class="hljs-string">&quot;INFO&quot;</span>)
logger.warning(<span class="hljs-string">&quot;WARN&quot;</span>)`}}),ne=new Yt({}),oe=new T({props:{name:"transformers.utils.logging.set_verbosity_error",anchor:"transformers.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L195"}}),le=new T({props:{name:"transformers.utils.logging.set_verbosity_warning",anchor:"transformers.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L185"}}),ie=new T({props:{name:"transformers.utils.logging.set_verbosity_info",anchor:"transformers.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L180"}}),ae=new T({props:{name:"transformers.utils.logging.set_verbosity_debug",anchor:"transformers.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L190"}}),ge=new Yt({}),me=new T({props:{name:"transformers.utils.logging.get_verbosity",anchor:"transformers.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L138",returnDescription:`
<p>The logging level.</p>
`,returnType:`
<p><code>int</code></p>
`}}),O=new Hr({props:{$$slots:{default:[Ur]},$$scope:{ctx:_e}}}),fe=new T({props:{name:"transformers.utils.logging.set_verbosity",anchor:"transformers.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"transformers.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., one of:</p>
<ul>
<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li>
<li><code>transformers.logging.ERROR</code></li>
<li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li>
<li><code>transformers.logging.INFO</code></li>
<li><code>transformers.logging.DEBUG</code></li>
</ul>`,name:"verbosity"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L161"}}),de=new T({props:{name:"transformers.utils.logging.get_logger",anchor:"transformers.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L124"}}),pe=new T({props:{name:"transformers.utils.logging.enable_default_handler",anchor:"transformers.utils.logging.enable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L209"}}),ue=new T({props:{name:"transformers.utils.logging.disable_default_handler",anchor:"transformers.utils.logging.disable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L200"}}),ce=new T({props:{name:"transformers.utils.logging.enable_explicit_format",anchor:"transformers.utils.logging.enable_explicit_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L255"}}),W=new Vr({props:{anchor:"transformers.utils.logging.enable_explicit_format.example",$$slots:{default:[Fr]},$$scope:{ctx:_e}}}),ve=new T({props:{name:"transformers.utils.logging.reset_format",anchor:"transformers.utils.logging.reset_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L270"}}),he=new T({props:{name:"transformers.utils.logging.enable_progress_bar",anchor:"transformers.utils.logging.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L361"}}),be=new T({props:{name:"transformers.utils.logging.disable_progress_bar",anchor:"transformers.utils.logging.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/utils/logging.py#L368"}}),{c(){d=n("meta"),N=l(),y=n("h1"),p=n("a"),x=n("span"),u(g.$$.fragment),w=l(),ye=n("span"),ye.textContent=Kt,Ze=l(),G=n("p"),G.textContent=Qt,je=l(),Z=n("p"),Z.innerHTML=er,qe=l(),j=n("p"),j.textContent=tr,Xe=l(),u(q.$$.fragment),ze=l(),X=n("p"),X.innerHTML=rr,Ye=l(),u(z.$$.fragment),Ke=l(),Y=n("p"),Y.innerHTML=sr,Qe=l(),u(K.$$.fragment),et=l(),Q=n("p"),Q.textContent=nr,tt=l(),u(ee.$$.fragment),rt=l(),te=n("p"),te.innerHTML=or,st=l(),re=n("ul"),re.innerHTML=lr,nt=l(),se=n("p"),se.innerHTML=ir,ot=l(),L=n("h2"),D=n("a"),De=n("span"),u(ne.$$.fragment),At=l(),xe=n("span"),xe.textContent=ar,lt=l(),M=n("div"),u(oe.$$.fragment),Jt=l(),Te=n("p"),Te.innerHTML=gr,it=l(),A=n("div"),u(le.$$.fragment),kt=l(),we=n("p"),we.innerHTML=mr,at=l(),J=n("div"),u(ie.$$.fragment),St=l(),Ce=n("p"),Ce.innerHTML=fr,gt=l(),k=n("div"),u(ae.$$.fragment),Pt=l(),Ee=n("p"),Ee.innerHTML=dr,mt=l(),S=n("h2"),B=n("a"),Be=n("span"),u(ge.$$.fragment),Ht=l(),Re=n("span"),Re.textContent=pr,ft=l(),C=n("div"),u(me.$$.fragment),Vt=l(),Ne=n("p"),Ne.textContent=ur,Ut=l(),u(O.$$.fragment),dt=l(),P=n("div"),u(fe.$$.fragment),Ft=l(),Ie=n("p"),Ie.textContent=cr,pt=l(),E=n("div"),u(de.$$.fragment),Dt=l(),Le=n("p"),Le.textContent=vr,Bt=l(),Me=n("p"),Me.textContent=hr,ut=l(),H=n("div"),u(pe.$$.fragment),Ot=l(),Ae=n("p"),Ae.textContent=br,ct=l(),V=n("div"),u(ue.$$.fragment),Wt=l(),Je=n("p"),Je.textContent=$r,vt=l(),I=n("div"),u(ce.$$.fragment),Gt=l(),u(W.$$.fragment),Zt=kr(`
All handlers currently bound to the root logger are affected by this method.`),ht=l(),R=n("div"),u(ve.$$.fragment),jt=l(),ke=n("p"),ke.textContent=_r,qt=l(),Se=n("p"),Se.textContent=yr,bt=l(),U=n("div"),u(he.$$.fragment),Xt=l(),Pe=n("p"),Pe.textContent=xr,$t=l(),F=n("div"),u(be.$$.fragment),zt=l(),He=n("p"),He.textContent=Tr,this.h()},l(e){const r=Sr("svelte-1phssyn",document.head);d=o(r,"META",{name:!0,content:!0}),r.forEach(t),N=i(e),y=o(e,"H1",{class:!0});var $e=_(y);p=o($e,"A",{id:!0,class:!0,href:!0});var Oe=_(p);x=o(Oe,"SPAN",{});var wr=_(x);c(g.$$.fragment,wr),wr.forEach(t),Oe.forEach(t),w=i($e),ye=o($e,"SPAN",{"data-svelte-h":!0}),m(ye)!=="svelte-1mk9dii"&&(ye.textContent=Kt),$e.forEach(t),Ze=i(e),G=o(e,"P",{"data-svelte-h":!0}),m(G)!=="svelte-1pvcwri"&&(G.textContent=Qt),je=i(e),Z=o(e,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-knr825"&&(Z.innerHTML=er),qe=i(e),j=o(e,"P",{"data-svelte-h":!0}),m(j)!=="svelte-1us4yht"&&(j.textContent=tr),Xe=i(e),c(q.$$.fragment,e),ze=i(e),X=o(e,"P",{"data-svelte-h":!0}),m(X)!=="svelte-ehwgnk"&&(X.innerHTML=rr),Ye=i(e),c(z.$$.fragment,e),Ke=i(e),Y=o(e,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-1d4vvlx"&&(Y.innerHTML=sr),Qe=i(e),c(K.$$.fragment,e),et=i(e),Q=o(e,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-xupc13"&&(Q.textContent=nr),tt=i(e),c(ee.$$.fragment,e),rt=i(e),te=o(e,"P",{"data-svelte-h":!0}),m(te)!=="svelte-zb4p4f"&&(te.innerHTML=or),st=i(e),re=o(e,"UL",{"data-svelte-h":!0}),m(re)!=="svelte-4tppnp"&&(re.innerHTML=lr),nt=i(e),se=o(e,"P",{"data-svelte-h":!0}),m(se)!=="svelte-18qb9vo"&&(se.innerHTML=ir),ot=i(e),L=o(e,"H2",{class:!0});var yt=_(L);D=o(yt,"A",{id:!0,class:!0,href:!0});var Cr=_(D);De=o(Cr,"SPAN",{});var Er=_(De);c(ne.$$.fragment,Er),Er.forEach(t),Cr.forEach(t),At=i(yt),xe=o(yt,"SPAN",{"data-svelte-h":!0}),m(xe)!=="svelte-1gjdgz6"&&(xe.textContent=ar),yt.forEach(t),lt=i(e),M=o(e,"DIV",{class:!0});var xt=_(M);c(oe.$$.fragment,xt),Jt=i(xt),Te=o(xt,"P",{"data-svelte-h":!0}),m(Te)!=="svelte-1ppk729"&&(Te.innerHTML=gr),xt.forEach(t),it=i(e),A=o(e,"DIV",{class:!0});var Tt=_(A);c(le.$$.fragment,Tt),kt=i(Tt),we=o(Tt,"P",{"data-svelte-h":!0}),m(we)!=="svelte-12ljo43"&&(we.innerHTML=mr),Tt.forEach(t),at=i(e),J=o(e,"DIV",{class:!0});var wt=_(J);c(ie.$$.fragment,wt),St=i(wt),Ce=o(wt,"P",{"data-svelte-h":!0}),m(Ce)!=="svelte-1ruccfv"&&(Ce.innerHTML=fr),wt.forEach(t),gt=i(e),k=o(e,"DIV",{class:!0});var Ct=_(k);c(ae.$$.fragment,Ct),Pt=i(Ct),Ee=o(Ct,"P",{"data-svelte-h":!0}),m(Ee)!=="svelte-10c80ti"&&(Ee.innerHTML=dr),Ct.forEach(t),mt=i(e),S=o(e,"H2",{class:!0});var Et=_(S);B=o(Et,"A",{id:!0,class:!0,href:!0});var Rr=_(B);Be=o(Rr,"SPAN",{});var Nr=_(Be);c(ge.$$.fragment,Nr),Nr.forEach(t),Rr.forEach(t),Ht=i(Et),Re=o(Et,"SPAN",{"data-svelte-h":!0}),m(Re)!=="svelte-p5oluo"&&(Re.textContent=pr),Et.forEach(t),ft=i(e),C=o(e,"DIV",{class:!0});var Ve=_(C);c(me.$$.fragment,Ve),Vt=i(Ve),Ne=o(Ve,"P",{"data-svelte-h":!0}),m(Ne)!=="svelte-c6o18d"&&(Ne.textContent=ur),Ut=i(Ve),c(O.$$.fragment,Ve),Ve.forEach(t),dt=i(e),P=o(e,"DIV",{class:!0});var Rt=_(P);c(fe.$$.fragment,Rt),Ft=i(Rt),Ie=o(Rt,"P",{"data-svelte-h":!0}),m(Ie)!=="svelte-1pc8gq7"&&(Ie.textContent=cr),Rt.forEach(t),pt=i(e),E=o(e,"DIV",{class:!0});var Ue=_(E);c(de.$$.fragment,Ue),Dt=i(Ue),Le=o(Ue,"P",{"data-svelte-h":!0}),m(Le)!=="svelte-155a6rh"&&(Le.textContent=vr),Bt=i(Ue),Me=o(Ue,"P",{"data-svelte-h":!0}),m(Me)!=="svelte-7r9l0i"&&(Me.textContent=hr),Ue.forEach(t),ut=i(e),H=o(e,"DIV",{class:!0});var Nt=_(H);c(pe.$$.fragment,Nt),Ot=i(Nt),Ae=o(Nt,"P",{"data-svelte-h":!0}),m(Ae)!=="svelte-1d9pjkh"&&(Ae.textContent=br),Nt.forEach(t),ct=i(e),V=o(e,"DIV",{class:!0});var It=_(V);c(ue.$$.fragment,It),Wt=i(It),Je=o(It,"P",{"data-svelte-h":!0}),m(Je)!=="svelte-147u0ic"&&(Je.textContent=$r),It.forEach(t),vt=i(e),I=o(e,"DIV",{class:!0});var We=_(I);c(ce.$$.fragment,We),Gt=i(We),c(W.$$.fragment,We),Zt=Pr(We,`
All handlers currently bound to the root logger are affected by this method.`),We.forEach(t),ht=i(e),R=o(e,"DIV",{class:!0});var Fe=_(R);c(ve.$$.fragment,Fe),jt=i(Fe),ke=o(Fe,"P",{"data-svelte-h":!0}),m(ke)!=="svelte-1yfjx32"&&(ke.textContent=_r),qt=i(Fe),Se=o(Fe,"P",{"data-svelte-h":!0}),m(Se)!=="svelte-3qpllw"&&(Se.textContent=yr),Fe.forEach(t),bt=i(e),U=o(e,"DIV",{class:!0});var Lt=_(U);c(he.$$.fragment,Lt),Xt=i(Lt),Pe=o(Lt,"P",{"data-svelte-h":!0}),m(Pe)!=="svelte-1n9lbl5"&&(Pe.textContent=xr),Lt.forEach(t),$t=i(e),F=o(e,"DIV",{class:!0});var Mt=_(F);c(be.$$.fragment,Mt),zt=i(Mt),He=o(Mt,"P",{"data-svelte-h":!0}),m(He)!=="svelte-4qd7jw"&&(He.textContent=Tr),Mt.forEach(t),this.h()},h(){f(d,"name","hf:doc:metadata"),f(d,"content",JSON.stringify(Br)),f(p,"id","logging"),f(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(p,"href","#logging"),f(y,"class","relative group"),f(D,"id","transformers.utils.logging.set_verbosity_error"),f(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(D,"href","#transformers.utils.logging.set_verbosity_error"),f(L,"class","relative group"),f(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(B,"id","transformers.utils.logging.get_verbosity"),f(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(B,"href","#transformers.utils.logging.get_verbosity"),f(S,"class","relative group"),f(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){a(document.head,d),s(e,N,r),s(e,y,r),a(y,p),a(p,x),v(g,x,null),a(y,w),a(y,ye),s(e,Ze,r),s(e,G,r),s(e,je,r),s(e,Z,r),s(e,qe,r),s(e,j,r),s(e,Xe,r),v(q,e,r),s(e,ze,r),s(e,X,r),s(e,Ye,r),v(z,e,r),s(e,Ke,r),s(e,Y,r),s(e,Qe,r),v(K,e,r),s(e,et,r),s(e,Q,r),s(e,tt,r),v(ee,e,r),s(e,rt,r),s(e,te,r),s(e,st,r),s(e,re,r),s(e,nt,r),s(e,se,r),s(e,ot,r),s(e,L,r),a(L,D),a(D,De),v(ne,De,null),a(L,At),a(L,xe),s(e,lt,r),s(e,M,r),v(oe,M,null),a(M,Jt),a(M,Te),s(e,it,r),s(e,A,r),v(le,A,null),a(A,kt),a(A,we),s(e,at,r),s(e,J,r),v(ie,J,null),a(J,St),a(J,Ce),s(e,gt,r),s(e,k,r),v(ae,k,null),a(k,Pt),a(k,Ee),s(e,mt,r),s(e,S,r),a(S,B),a(B,Be),v(ge,Be,null),a(S,Ht),a(S,Re),s(e,ft,r),s(e,C,r),v(me,C,null),a(C,Vt),a(C,Ne),a(C,Ut),v(O,C,null),s(e,dt,r),s(e,P,r),v(fe,P,null),a(P,Ft),a(P,Ie),s(e,pt,r),s(e,E,r),v(de,E,null),a(E,Dt),a(E,Le),a(E,Bt),a(E,Me),s(e,ut,r),s(e,H,r),v(pe,H,null),a(H,Ot),a(H,Ae),s(e,ct,r),s(e,V,r),v(ue,V,null),a(V,Wt),a(V,Je),s(e,vt,r),s(e,I,r),v(ce,I,null),a(I,Gt),v(W,I,null),a(I,Zt),s(e,ht,r),s(e,R,r),v(ve,R,null),a(R,jt),a(R,ke),a(R,qt),a(R,Se),s(e,bt,r),s(e,U,r),v(he,U,null),a(U,Xt),a(U,Pe),s(e,$t,r),s(e,F,r),v(be,F,null),a(F,zt),a(F,He),_t=!0},p(e,[r]){const $e={};r&2&&($e.$$scope={dirty:r,ctx:e}),O.$set($e);const Oe={};r&2&&(Oe.$$scope={dirty:r,ctx:e}),W.$set(Oe)},i(e){_t||(h(g.$$.fragment,e),h(q.$$.fragment,e),h(z.$$.fragment,e),h(K.$$.fragment,e),h(ee.$$.fragment,e),h(ne.$$.fragment,e),h(oe.$$.fragment,e),h(le.$$.fragment,e),h(ie.$$.fragment,e),h(ae.$$.fragment,e),h(ge.$$.fragment,e),h(me.$$.fragment,e),h(O.$$.fragment,e),h(fe.$$.fragment,e),h(de.$$.fragment,e),h(pe.$$.fragment,e),h(ue.$$.fragment,e),h(ce.$$.fragment,e),h(W.$$.fragment,e),h(ve.$$.fragment,e),h(he.$$.fragment,e),h(be.$$.fragment,e),_t=!0)},o(e){b(g.$$.fragment,e),b(q.$$.fragment,e),b(z.$$.fragment,e),b(K.$$.fragment,e),b(ee.$$.fragment,e),b(ne.$$.fragment,e),b(oe.$$.fragment,e),b(le.$$.fragment,e),b(ie.$$.fragment,e),b(ae.$$.fragment,e),b(ge.$$.fragment,e),b(me.$$.fragment,e),b(O.$$.fragment,e),b(fe.$$.fragment,e),b(de.$$.fragment,e),b(pe.$$.fragment,e),b(ue.$$.fragment,e),b(ce.$$.fragment,e),b(W.$$.fragment,e),b(ve.$$.fragment,e),b(he.$$.fragment,e),b(be.$$.fragment,e),_t=!1},d(e){e&&(t(N),t(y),t(Ze),t(G),t(je),t(Z),t(qe),t(j),t(Xe),t(ze),t(X),t(Ye),t(Ke),t(Y),t(Qe),t(et),t(Q),t(tt),t(rt),t(te),t(st),t(re),t(nt),t(se),t(ot),t(L),t(lt),t(M),t(it),t(A),t(at),t(J),t(gt),t(k),t(mt),t(S),t(ft),t(C),t(dt),t(P),t(pt),t(E),t(ut),t(H),t(ct),t(V),t(vt),t(I),t(ht),t(R),t(bt),t(U),t($t),t(F)),t(d),$(g),$(q,e),$(z,e),$(K,e),$(ee,e),$(ne),$(oe),$(le),$(ie),$(ae),$(ge),$(me),$(O),$(fe),$(de),$(pe),$(ue),$(ce),$(W),$(ve),$(he),$(be)}}}const Br={local:"logging",sections:[{local:"transformers.utils.logging.set_verbosity_error",title:"Base setters"},{local:"transformers.utils.logging.get_verbosity",title:"Other functions"}],title:"Logging"};function Or(_e){return Mr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Yr extends Ar{constructor(d){super(),Jr(this,d,Or,Dr,Lr,{})}}export{Yr as component};
