import{s as ur,n as xr,o as vr}from"../chunks/scheduler.9bc65507.js";import{S as _r,i as $r,g as r,s as a,r as p,A as br,h as o,f as n,c as s,j as l,u as c,x as d,k as i,y as t,a as f,v as g,d as h,t as u,w as x}from"../chunks/index.707bf1b6.js";import{D as $}from"../chunks/Docstring.4f78d428.js";import{I as Ne}from"../chunks/IconCopyLink.d239c2d1.js";function yr(On){let k,it,O,F,et,Z,Xt,Me,Pn="Exporting 🤗 Transformers models to ONNX",lt,ee,Tn=`🤗 Transformers provides a <code>transformers.onnx</code> package that enables you to
convert model checkpoints to an ONNX graph by leveraging configuration objects.`,mt,te,Nn=`See the <a href="../serialization">guide</a> on exporting 🤗 Transformers models for more
details.`,ft,P,S,tt,ne,Rt,qe,Mn="ONNX Configurations",dt,re,qn=`We provide three abstract classes that you should inherit from, depending on the
type of model architecture you wish to export:`,pt,oe,En='<li>Encoder-based models inherit from <a href="/docs/transformers/v4.33.3/en/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a></li> <li>Decoder-based models inherit from <a href="/docs/transformers/v4.33.3/en/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a></li> <li>Encoder-decoder models inherit from <a href="/docs/transformers/v4.33.3/en/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a></li>',ct,T,D,nt,ae,jt,Ee,Fn="OnnxConfig",gt,v,se,Ut,Fe,Sn="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",Gt,L,ie,Bt,Se,Dn=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,Jt,A,le,Kt,De,Ln="Instantiate a OnnxConfig for a specific model",Qt,I,me,Yt,Le,An="Generate inputs to provide to the ONNX exporter for the specific framework",Zt,W,fe,en,Ae,In=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,tn,H,de,nn,Ie,Wn="Flag indicating if the model requires using external data format",ht,N,V,rt,pe,rn,We,Hn="OnnxConfigWithPast",ut,w,ce,on,z,ge,an,He,Vn="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",sn,X,he,ln,Ve,zn="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",xt,M,R,ot,ue,mn,ze,Xn="OnnxSeq2SeqConfigWithPast",vt,xe,ve,_t,q,j,at,_e,fn,Xe,Rn="ONNX Features",$t,$e,jn=`Each ONNX configuration is associated with a set of <em>features</em> that enable you
to export models for different types of topologies or tasks.`,bt,E,U,st,be,dn,Re,Un="FeaturesManager",yt,_,ye,pn,G,Ce,cn,je,Gn="Check whether or not the model has the requested features.",gn,C,we,hn,Ue,Bn="Determines the framework to use for the export.",un,Ge,Jn="The priority is in the following order:",xn,Be,Kn="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",vn,B,ke,_n,Je,Qn="Gets the OnnxConfig for a model_type and feature combination.",$n,J,Oe,bn,Ke,Yn="Attempts to retrieve an AutoModel class from a feature name.",yn,K,Pe,Cn,Qe,Zn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",wn,Q,Te,kn,Ye,er="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ct;return Z=new Ne({}),ne=new Ne({}),ae=new Ne({}),se=new $({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L68"}}),ie=new $({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": typing.Iterable[typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L424",returnDescription:`
<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`
<p>(Dict[str, Any])</p>
`}}),le=new $({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L127",returnDescription:`
<p>OnnxConfig for this model</p>
`}}),me=new $({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin'), ForwardRef('ImageProcessingMixin')]"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": typing.Optional[transformers.utils.generic.TensorType] = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L280",returnDescription:`
<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),fe=new $({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": typing.Mapping[str, typing.Any]"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L400",returnDescription:`
<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`
<p><code>Mapping[str, Tensor]</code></p>
`}}),de=new $({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L241",returnDescription:`
<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),pe=new Ne({}),ce=new $({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L443"}}),ge=new $({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": typing.Mapping[str, typing.Mapping[int, str]]"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L550"}}),he=new $({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L454",returnDescription:`
<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ue=new Ne({}),ve=new $({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/config.py#L590"}}),_e=new Ne({}),be=new Ne({}),ye=new $({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L85"}}),Ce=new $({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L711",returnDescription:`
<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),we=new $({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L628",returnDescription:`
<p>The framework to use for the export.</p>
`}}),ke=new $({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L736",returnDescription:`
<p>config for the combination</p>
`,returnType:`
<p><code>OnnxConfig</code></p>
`}}),Oe=new $({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L601",returnDescription:`
<p>The AutoModel class corresponding to the feature.</p>
`}}),Pe=new $({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L678",returnDescription:`
<p>The instance of the model.</p>
`}}),Te=new $({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/v4.33.3/src/transformers/onnx/features.py#L556",returnDescription:`
<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),{c(){k=r("meta"),it=a(),O=r("h1"),F=r("a"),et=r("span"),p(Z.$$.fragment),Xt=a(),Me=r("span"),Me.textContent=Pn,lt=a(),ee=r("p"),ee.innerHTML=Tn,mt=a(),te=r("p"),te.innerHTML=Nn,ft=a(),P=r("h2"),S=r("a"),tt=r("span"),p(ne.$$.fragment),Rt=a(),qe=r("span"),qe.textContent=Mn,dt=a(),re=r("p"),re.textContent=qn,pt=a(),oe=r("ul"),oe.innerHTML=En,ct=a(),T=r("h3"),D=r("a"),nt=r("span"),p(ae.$$.fragment),jt=a(),Ee=r("span"),Ee.textContent=Fn,gt=a(),v=r("div"),p(se.$$.fragment),Ut=a(),Fe=r("p"),Fe.textContent=Sn,Gt=a(),L=r("div"),p(ie.$$.fragment),Bt=a(),Se=r("p"),Se.textContent=Dn,Jt=a(),A=r("div"),p(le.$$.fragment),Kt=a(),De=r("p"),De.textContent=Ln,Qt=a(),I=r("div"),p(me.$$.fragment),Yt=a(),Le=r("p"),Le.textContent=An,Zt=a(),W=r("div"),p(fe.$$.fragment),en=a(),Ae=r("p"),Ae.textContent=In,tn=a(),H=r("div"),p(de.$$.fragment),nn=a(),Ie=r("p"),Ie.textContent=Wn,ht=a(),N=r("h3"),V=r("a"),rt=r("span"),p(pe.$$.fragment),rn=a(),We=r("span"),We.textContent=Hn,ut=a(),w=r("div"),p(ce.$$.fragment),on=a(),z=r("div"),p(ge.$$.fragment),an=a(),He=r("p"),He.textContent=Vn,sn=a(),X=r("div"),p(he.$$.fragment),ln=a(),Ve=r("p"),Ve.innerHTML=zn,xt=a(),M=r("h3"),R=r("a"),ot=r("span"),p(ue.$$.fragment),mn=a(),ze=r("span"),ze.textContent=Xn,vt=a(),xe=r("div"),p(ve.$$.fragment),_t=a(),q=r("h2"),j=r("a"),at=r("span"),p(_e.$$.fragment),fn=a(),Xe=r("span"),Xe.textContent=Rn,$t=a(),$e=r("p"),$e.innerHTML=jn,bt=a(),E=r("h3"),U=r("a"),st=r("span"),p(be.$$.fragment),dn=a(),Re=r("span"),Re.textContent=Un,yt=a(),_=r("div"),p(ye.$$.fragment),pn=a(),G=r("div"),p(Ce.$$.fragment),cn=a(),je=r("p"),je.textContent=Gn,gn=a(),C=r("div"),p(we.$$.fragment),hn=a(),Ue=r("p"),Ue.textContent=Bn,un=a(),Ge=r("p"),Ge.textContent=Jn,xn=a(),Be=r("ol"),Be.innerHTML=Kn,vn=a(),B=r("div"),p(ke.$$.fragment),_n=a(),Je=r("p"),Je.textContent=Qn,$n=a(),J=r("div"),p(Oe.$$.fragment),bn=a(),Ke=r("p"),Ke.textContent=Yn,yn=a(),K=r("div"),p(Pe.$$.fragment),Cn=a(),Qe=r("p"),Qe.textContent=Zn,wn=a(),Q=r("div"),p(Te.$$.fragment),kn=a(),Ye=r("p"),Ye.textContent=er,this.h()},l(e){const m=br("svelte-1phssyn",document.head);k=o(m,"META",{name:!0,content:!0}),m.forEach(n),it=s(e),O=o(e,"H1",{class:!0});var wt=l(O);F=o(wt,"A",{id:!0,class:!0,href:!0});var tr=l(F);et=o(tr,"SPAN",{});var nr=l(et);c(Z.$$.fragment,nr),nr.forEach(n),tr.forEach(n),Xt=s(wt),Me=o(wt,"SPAN",{"data-svelte-h":!0}),d(Me)!=="svelte-1dy2l4k"&&(Me.textContent=Pn),wt.forEach(n),lt=s(e),ee=o(e,"P",{"data-svelte-h":!0}),d(ee)!=="svelte-4jsgzi"&&(ee.innerHTML=Tn),mt=s(e),te=o(e,"P",{"data-svelte-h":!0}),d(te)!=="svelte-1nfy7l0"&&(te.innerHTML=Nn),ft=s(e),P=o(e,"H2",{class:!0});var kt=l(P);S=o(kt,"A",{id:!0,class:!0,href:!0});var rr=l(S);tt=o(rr,"SPAN",{});var or=l(tt);c(ne.$$.fragment,or),or.forEach(n),rr.forEach(n),Rt=s(kt),qe=o(kt,"SPAN",{"data-svelte-h":!0}),d(qe)!=="svelte-1k9syut"&&(qe.textContent=Mn),kt.forEach(n),dt=s(e),re=o(e,"P",{"data-svelte-h":!0}),d(re)!=="svelte-10ifyz5"&&(re.textContent=qn),pt=s(e),oe=o(e,"UL",{"data-svelte-h":!0}),d(oe)!=="svelte-1qhbr0e"&&(oe.innerHTML=En),ct=s(e),T=o(e,"H3",{class:!0});var Ot=l(T);D=o(Ot,"A",{id:!0,class:!0,href:!0});var ar=l(D);nt=o(ar,"SPAN",{});var sr=l(nt);c(ae.$$.fragment,sr),sr.forEach(n),ar.forEach(n),jt=s(Ot),Ee=o(Ot,"SPAN",{"data-svelte-h":!0}),d(Ee)!=="svelte-1lti8oq"&&(Ee.textContent=Fn),Ot.forEach(n),gt=s(e),v=o(e,"DIV",{class:!0});var b=l(v);c(se.$$.fragment,b),Ut=s(b),Fe=o(b,"P",{"data-svelte-h":!0}),d(Fe)!=="svelte-1gqzpaz"&&(Fe.textContent=Sn),Gt=s(b),L=o(b,"DIV",{class:!0});var Pt=l(L);c(ie.$$.fragment,Pt),Bt=s(Pt),Se=o(Pt,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1lfqihc"&&(Se.textContent=Dn),Pt.forEach(n),Jt=s(b),A=o(b,"DIV",{class:!0});var Tt=l(A);c(le.$$.fragment,Tt),Kt=s(Tt),De=o(Tt,"P",{"data-svelte-h":!0}),d(De)!=="svelte-1u54gj1"&&(De.textContent=Ln),Tt.forEach(n),Qt=s(b),I=o(b,"DIV",{class:!0});var Nt=l(I);c(me.$$.fragment,Nt),Yt=s(Nt),Le=o(Nt,"P",{"data-svelte-h":!0}),d(Le)!=="svelte-1oyyynq"&&(Le.textContent=An),Nt.forEach(n),Zt=s(b),W=o(b,"DIV",{class:!0});var Mt=l(W);c(fe.$$.fragment,Mt),en=s(Mt),Ae=o(Mt,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-tenqiw"&&(Ae.textContent=In),Mt.forEach(n),tn=s(b),H=o(b,"DIV",{class:!0});var qt=l(H);c(de.$$.fragment,qt),nn=s(qt),Ie=o(qt,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-coevd"&&(Ie.textContent=Wn),qt.forEach(n),b.forEach(n),ht=s(e),N=o(e,"H3",{class:!0});var Et=l(N);V=o(Et,"A",{id:!0,class:!0,href:!0});var ir=l(V);rt=o(ir,"SPAN",{});var lr=l(rt);c(pe.$$.fragment,lr),lr.forEach(n),ir.forEach(n),rn=s(Et),We=o(Et,"SPAN",{"data-svelte-h":!0}),d(We)!=="svelte-1osibyu"&&(We.textContent=Hn),Et.forEach(n),ut=s(e),w=o(e,"DIV",{class:!0});var Ze=l(w);c(ce.$$.fragment,Ze),on=s(Ze),z=o(Ze,"DIV",{class:!0});var Ft=l(z);c(ge.$$.fragment,Ft),an=s(Ft),He=o(Ft,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1bh80il"&&(He.textContent=Vn),Ft.forEach(n),sn=s(Ze),X=o(Ze,"DIV",{class:!0});var St=l(X);c(he.$$.fragment,St),ln=s(St),Ve=o(St,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-1kg2yu2"&&(Ve.innerHTML=zn),St.forEach(n),Ze.forEach(n),xt=s(e),M=o(e,"H3",{class:!0});var Dt=l(M);R=o(Dt,"A",{id:!0,class:!0,href:!0});var mr=l(R);ot=o(mr,"SPAN",{});var fr=l(ot);c(ue.$$.fragment,fr),fr.forEach(n),mr.forEach(n),mn=s(Dt),ze=o(Dt,"SPAN",{"data-svelte-h":!0}),d(ze)!=="svelte-1dvel5a"&&(ze.textContent=Xn),Dt.forEach(n),vt=s(e),xe=o(e,"DIV",{class:!0});var dr=l(xe);c(ve.$$.fragment,dr),dr.forEach(n),_t=s(e),q=o(e,"H2",{class:!0});var Lt=l(q);j=o(Lt,"A",{id:!0,class:!0,href:!0});var pr=l(j);at=o(pr,"SPAN",{});var cr=l(at);c(_e.$$.fragment,cr),cr.forEach(n),pr.forEach(n),fn=s(Lt),Xe=o(Lt,"SPAN",{"data-svelte-h":!0}),d(Xe)!=="svelte-q8aqnd"&&(Xe.textContent=Rn),Lt.forEach(n),$t=s(e),$e=o(e,"P",{"data-svelte-h":!0}),d($e)!=="svelte-a66ofi"&&($e.innerHTML=jn),bt=s(e),E=o(e,"H3",{class:!0});var At=l(E);U=o(At,"A",{id:!0,class:!0,href:!0});var gr=l(U);st=o(gr,"SPAN",{});var hr=l(st);c(be.$$.fragment,hr),hr.forEach(n),gr.forEach(n),dn=s(At),Re=o(At,"SPAN",{"data-svelte-h":!0}),d(Re)!=="svelte-15wt5el"&&(Re.textContent=Un),At.forEach(n),yt=s(e),_=o(e,"DIV",{class:!0});var y=l(_);c(ye.$$.fragment,y),pn=s(y),G=o(y,"DIV",{class:!0});var It=l(G);c(Ce.$$.fragment,It),cn=s(It),je=o(It,"P",{"data-svelte-h":!0}),d(je)!=="svelte-rlyyl3"&&(je.textContent=Gn),It.forEach(n),gn=s(y),C=o(y,"DIV",{class:!0});var Y=l(C);c(we.$$.fragment,Y),hn=s(Y),Ue=o(Y,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-rshgf5"&&(Ue.textContent=Bn),un=s(Y),Ge=o(Y,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-1wbth9c"&&(Ge.textContent=Jn),xn=s(Y),Be=o(Y,"OL",{"data-svelte-h":!0}),d(Be)!=="svelte-qby6wj"&&(Be.innerHTML=Kn),Y.forEach(n),vn=s(y),B=o(y,"DIV",{class:!0});var Wt=l(B);c(ke.$$.fragment,Wt),_n=s(Wt),Je=o(Wt,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-il0adz"&&(Je.textContent=Qn),Wt.forEach(n),$n=s(y),J=o(y,"DIV",{class:!0});var Ht=l(J);c(Oe.$$.fragment,Ht),bn=s(Ht),Ke=o(Ht,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-k5ftuy"&&(Ke.textContent=Yn),Ht.forEach(n),yn=s(y),K=o(y,"DIV",{class:!0});var Vt=l(K);c(Pe.$$.fragment,Vt),Cn=s(Vt),Qe=o(Vt,"P",{"data-svelte-h":!0}),d(Qe)!=="svelte-auvjm5"&&(Qe.textContent=Zn),Vt.forEach(n),wn=s(y),Q=o(y,"DIV",{class:!0});var zt=l(Q);c(Te.$$.fragment,zt),kn=s(zt),Ye=o(zt,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-tbalh5"&&(Ye.textContent=er),zt.forEach(n),y.forEach(n),this.h()},h(){i(k,"name","hf:doc:metadata"),i(k,"content",JSON.stringify(Cr)),i(F,"id","exporting-transformers-models-to-onnx"),i(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(F,"href","#exporting-transformers-models-to-onnx"),i(O,"class","relative group"),i(S,"id","onnx-configurations"),i(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(S,"href","#onnx-configurations"),i(P,"class","relative group"),i(D,"id","transformers.onnx.OnnxConfig"),i(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(D,"href","#transformers.onnx.OnnxConfig"),i(T,"class","relative group"),i(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(V,"id","transformers.onnx.OnnxConfigWithPast"),i(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(V,"href","#transformers.onnx.OnnxConfigWithPast"),i(N,"class","relative group"),i(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(R,"id","transformers.onnx.OnnxSeq2SeqConfigWithPast"),i(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(R,"href","#transformers.onnx.OnnxSeq2SeqConfigWithPast"),i(M,"class","relative group"),i(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(j,"id","onnx-features"),i(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(j,"href","#onnx-features"),i(q,"class","relative group"),i(U,"id","transformers.onnx.FeaturesManager"),i(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(U,"href","#transformers.onnx.FeaturesManager"),i(E,"class","relative group"),i(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,m){t(document.head,k),f(e,it,m),f(e,O,m),t(O,F),t(F,et),g(Z,et,null),t(O,Xt),t(O,Me),f(e,lt,m),f(e,ee,m),f(e,mt,m),f(e,te,m),f(e,ft,m),f(e,P,m),t(P,S),t(S,tt),g(ne,tt,null),t(P,Rt),t(P,qe),f(e,dt,m),f(e,re,m),f(e,pt,m),f(e,oe,m),f(e,ct,m),f(e,T,m),t(T,D),t(D,nt),g(ae,nt,null),t(T,jt),t(T,Ee),f(e,gt,m),f(e,v,m),g(se,v,null),t(v,Ut),t(v,Fe),t(v,Gt),t(v,L),g(ie,L,null),t(L,Bt),t(L,Se),t(v,Jt),t(v,A),g(le,A,null),t(A,Kt),t(A,De),t(v,Qt),t(v,I),g(me,I,null),t(I,Yt),t(I,Le),t(v,Zt),t(v,W),g(fe,W,null),t(W,en),t(W,Ae),t(v,tn),t(v,H),g(de,H,null),t(H,nn),t(H,Ie),f(e,ht,m),f(e,N,m),t(N,V),t(V,rt),g(pe,rt,null),t(N,rn),t(N,We),f(e,ut,m),f(e,w,m),g(ce,w,null),t(w,on),t(w,z),g(ge,z,null),t(z,an),t(z,He),t(w,sn),t(w,X),g(he,X,null),t(X,ln),t(X,Ve),f(e,xt,m),f(e,M,m),t(M,R),t(R,ot),g(ue,ot,null),t(M,mn),t(M,ze),f(e,vt,m),f(e,xe,m),g(ve,xe,null),f(e,_t,m),f(e,q,m),t(q,j),t(j,at),g(_e,at,null),t(q,fn),t(q,Xe),f(e,$t,m),f(e,$e,m),f(e,bt,m),f(e,E,m),t(E,U),t(U,st),g(be,st,null),t(E,dn),t(E,Re),f(e,yt,m),f(e,_,m),g(ye,_,null),t(_,pn),t(_,G),g(Ce,G,null),t(G,cn),t(G,je),t(_,gn),t(_,C),g(we,C,null),t(C,hn),t(C,Ue),t(C,un),t(C,Ge),t(C,xn),t(C,Be),t(_,vn),t(_,B),g(ke,B,null),t(B,_n),t(B,Je),t(_,$n),t(_,J),g(Oe,J,null),t(J,bn),t(J,Ke),t(_,yn),t(_,K),g(Pe,K,null),t(K,Cn),t(K,Qe),t(_,wn),t(_,Q),g(Te,Q,null),t(Q,kn),t(Q,Ye),Ct=!0},p:xr,i(e){Ct||(h(Z.$$.fragment,e),h(ne.$$.fragment,e),h(ae.$$.fragment,e),h(se.$$.fragment,e),h(ie.$$.fragment,e),h(le.$$.fragment,e),h(me.$$.fragment,e),h(fe.$$.fragment,e),h(de.$$.fragment,e),h(pe.$$.fragment,e),h(ce.$$.fragment,e),h(ge.$$.fragment,e),h(he.$$.fragment,e),h(ue.$$.fragment,e),h(ve.$$.fragment,e),h(_e.$$.fragment,e),h(be.$$.fragment,e),h(ye.$$.fragment,e),h(Ce.$$.fragment,e),h(we.$$.fragment,e),h(ke.$$.fragment,e),h(Oe.$$.fragment,e),h(Pe.$$.fragment,e),h(Te.$$.fragment,e),Ct=!0)},o(e){u(Z.$$.fragment,e),u(ne.$$.fragment,e),u(ae.$$.fragment,e),u(se.$$.fragment,e),u(ie.$$.fragment,e),u(le.$$.fragment,e),u(me.$$.fragment,e),u(fe.$$.fragment,e),u(de.$$.fragment,e),u(pe.$$.fragment,e),u(ce.$$.fragment,e),u(ge.$$.fragment,e),u(he.$$.fragment,e),u(ue.$$.fragment,e),u(ve.$$.fragment,e),u(_e.$$.fragment,e),u(be.$$.fragment,e),u(ye.$$.fragment,e),u(Ce.$$.fragment,e),u(we.$$.fragment,e),u(ke.$$.fragment,e),u(Oe.$$.fragment,e),u(Pe.$$.fragment,e),u(Te.$$.fragment,e),Ct=!1},d(e){e&&(n(it),n(O),n(lt),n(ee),n(mt),n(te),n(ft),n(P),n(dt),n(re),n(pt),n(oe),n(ct),n(T),n(gt),n(v),n(ht),n(N),n(ut),n(w),n(xt),n(M),n(vt),n(xe),n(_t),n(q),n($t),n($e),n(bt),n(E),n(yt),n(_)),n(k),x(Z),x(ne),x(ae),x(se),x(ie),x(le),x(me),x(fe),x(de),x(pe),x(ce),x(ge),x(he),x(ue),x(ve),x(_e),x(be),x(ye),x(Ce),x(we),x(ke),x(Oe),x(Pe),x(Te)}}}const Cr={local:"exporting-transformers-models-to-onnx",sections:[{local:"onnx-configurations",sections:[{local:"transformers.onnx.OnnxConfig",title:"OnnxConfig"},{local:"transformers.onnx.OnnxConfigWithPast",title:"OnnxConfigWithPast"},{local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",title:"OnnxSeq2SeqConfigWithPast"}],title:"ONNX Configurations"},{local:"onnx-features",sections:[{local:"transformers.onnx.FeaturesManager",title:"FeaturesManager"}],title:"ONNX Features"}],title:"Exporting 🤗 Transformers models to ONNX"};function wr(On){return vr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nr extends _r{constructor(k){super(),$r(this,k,wr,yr,ur,{})}}export{Nr as component};
