import{s as At,o as Wt,n as at}from"../chunks/scheduler.9bc65507.js";import{S as Jt,i as Ut,g as o,s as m,r as v,A as Et,h as i,f as t,c as u,j as T,u as w,x as y,k as d,y as $,a as s,v as j,d as k,t as M,w as x}from"../chunks/index.707bf1b6.js";import{T as Zt}from"../chunks/Tip.c2ecdbf4.js";import{I as ve}from"../chunks/IconCopyLink.d239c2d1.js";import{C as P}from"../chunks/CodeBlock.a5ecddf7.js";import{F as Ht,M as Ft}from"../chunks/Markdown.d5904356.js";function Nt(J){let a,f='Remember, architecture refers to the skeleton of the model and checkpoints are the weights for a given architecture. For example, <a href="https://huggingface.co/bert-base-uncased" rel="nofollow">BERT</a> is an architecture, while <code>bert-base-uncased</code> is a checkpoint. Model is a general term that can mean either architecture or checkpoint.';return{c(){a=o("p"),a.innerHTML=f},l(r){a=i(r,"P",{"data-svelte-h":!0}),y(a)!=="svelte-a5apxu"&&(a.innerHTML=f)},m(r,p){s(r,a,p)},p:at,d(r){r&&t(a)}}}function Gt(J){let a,f='For PyTorch models, the <code>from_pretrained()</code> method uses <code>torch.load()</code> which internally uses <code>pickle</code> and is known to be insecure. In general, never load a model that could have come from an untrusted source, or that could have been tampered with. This security risk is partially mitigated for public models hosted on the Hugging Face Hub, which are <a href="https://huggingface.co/docs/hub/security-malware" rel="nofollow">scanned for malware</a> at each commit. See the <a href="https://huggingface.co/docs/hub/security" rel="nofollow">Hub documentation</a> for best practices like <a href="https://huggingface.co/docs/hub/security-gpg#signing-commits-with-gpg" rel="nofollow">signed commit verification</a> with GPG.',r,p,g="TensorFlow and Flax checkpoints are not affected, and can be loaded within PyTorch architectures using the <code>from_tf</code> and <code>from_flax</code> kwargs for the <code>from_pretrained</code> method to circumvent this issue.";return{c(){a=o("p"),a.innerHTML=f,r=m(),p=o("p"),p.innerHTML=g},l(h){a=i(h,"P",{"data-svelte-h":!0}),y(a)!=="svelte-12xgjc6"&&(a.innerHTML=f),r=u(h),p=i(h,"P",{"data-svelte-h":!0}),y(p)!=="svelte-gbqaor"&&(p.innerHTML=g)},m(h,U){s(h,a,U),s(h,r,U),s(h,p,U)},p:at,d(h){h&&(t(a),t(r),t(p))}}}function Lt(J){let a,f='Finally, the <code>AutoModelFor</code> classes let you load a pretrained model for a given task (see <a href="model_doc/auto">here</a> for a complete list of available tasks). For example, load a model for sequence classification with <a href="/docs/transformers/v4.33.3/en/model_doc/auto#transformers.FlaxAutoModelForVision2Seq.from_pretrained">AutoModelForSequenceClassification.from_pretrained()</a>:',r,p,g,h,U="Easily reuse the same checkpoint to load an architecture for a different task:",A,C,W,b,E,Z,c='Generally, we recommend using the <code>AutoTokenizer</code> class and the <code>AutoModelFor</code> class to load pretrained instances of models. This will ensure you load the correct architecture every time. In the next <a href="preprocessing">tutorial</a>, learn how to use your newly loaded tokenizer, image processor, feature extractor and processor to preprocess a dataset for fine-tuning.',_;return p=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),C=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),b=new Zt({props:{warning:!0,$$slots:{default:[Gt]},$$scope:{ctx:J}}}),{c(){a=o("p"),a.innerHTML=f,r=m(),v(p.$$.fragment),g=m(),h=o("p"),h.textContent=U,A=m(),v(C.$$.fragment),W=m(),v(b.$$.fragment),E=m(),Z=o("p"),Z.innerHTML=c},l(l){a=i(l,"P",{"data-svelte-h":!0}),y(a)!=="svelte-wrifer"&&(a.innerHTML=f),r=u(l),w(p.$$.fragment,l),g=u(l),h=i(l,"P",{"data-svelte-h":!0}),y(h)!=="svelte-98u76l"&&(h.textContent=U),A=u(l),w(C.$$.fragment,l),W=u(l),w(b.$$.fragment,l),E=u(l),Z=i(l,"P",{"data-svelte-h":!0}),y(Z)!=="svelte-a18ug5"&&(Z.innerHTML=c)},m(l,F){s(l,a,F),s(l,r,F),j(p,l,F),s(l,g,F),s(l,h,F),s(l,A,F),j(C,l,F),s(l,W,F),j(b,l,F),s(l,E,F),s(l,Z,F),_=!0},p(l,F){const I={};F&2&&(I.$$scope={dirty:F,ctx:l}),b.$set(I)},i(l){_||(k(p.$$.fragment,l),k(C.$$.fragment,l),k(b.$$.fragment,l),_=!0)},o(l){M(p.$$.fragment,l),M(C.$$.fragment,l),M(b.$$.fragment,l),_=!1},d(l){l&&(t(a),t(r),t(g),t(h),t(A),t(W),t(E),t(Z)),x(p,l),x(C,l),x(b,l)}}}function Vt(J){let a,f;return a=new Ft({props:{$$slots:{default:[Lt]},$$scope:{ctx:J}}}),{c(){v(a.$$.fragment)},l(r){w(a.$$.fragment,r)},m(r,p){j(a,r,p),f=!0},p(r,p){const g={};p&2&&(g.$$scope={dirty:p,ctx:r}),a.$set(g)},i(r){f||(k(a.$$.fragment,r),f=!0)},o(r){M(a.$$.fragment,r),f=!1},d(r){x(a,r)}}}function Pt(J){let a,f='Finally, the <code>TFAutoModelFor</code> classes let you load a pretrained model for a given task (see <a href="model_doc/auto">here</a> for a complete list of available tasks). For example, load a model for sequence classification with <a href="/docs/transformers/v4.33.3/en/model_doc/auto#transformers.FlaxAutoModelForVision2Seq.from_pretrained">TFAutoModelForSequenceClassification.from_pretrained()</a>:',r,p,g,h,U="Easily reuse the same checkpoint to load an architecture for a different task:",A,C,W,b,E='Generally, we recommend using the <code>AutoTokenizer</code> class and the <code>TFAutoModelFor</code> class to load pretrained instances of models. This will ensure you load the correct architecture every time. In the next <a href="preprocessing">tutorial</a>, learn how to use your newly loaded tokenizer, image processor, feature extractor and processor to preprocess a dataset for fine-tuning.',Z;return p=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),C=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),{c(){a=o("p"),a.innerHTML=f,r=m(),v(p.$$.fragment),g=m(),h=o("p"),h.textContent=U,A=m(),v(C.$$.fragment),W=m(),b=o("p"),b.innerHTML=E},l(c){a=i(c,"P",{"data-svelte-h":!0}),y(a)!=="svelte-1oc1n67"&&(a.innerHTML=f),r=u(c),w(p.$$.fragment,c),g=u(c),h=i(c,"P",{"data-svelte-h":!0}),y(h)!=="svelte-98u76l"&&(h.textContent=U),A=u(c),w(C.$$.fragment,c),W=u(c),b=i(c,"P",{"data-svelte-h":!0}),y(b)!=="svelte-19d9o2j"&&(b.innerHTML=E)},m(c,_){s(c,a,_),s(c,r,_),j(p,c,_),s(c,g,_),s(c,h,_),s(c,A,_),j(C,c,_),s(c,W,_),s(c,b,_),Z=!0},p:at,i(c){Z||(k(p.$$.fragment,c),k(C.$$.fragment,c),Z=!0)},o(c){M(p.$$.fragment,c),M(C.$$.fragment,c),Z=!1},d(c){c&&(t(a),t(r),t(g),t(h),t(A),t(W),t(b)),x(p,c),x(C,c)}}}function Rt(J){let a,f;return a=new Ft({props:{$$slots:{default:[Pt]},$$scope:{ctx:J}}}),{c(){v(a.$$.fragment)},l(r){w(a.$$.fragment,r)},m(r,p){j(a,r,p),f=!0},p(r,p){const g={};p&2&&(g.$$scope={dirty:p,ctx:r}),a.$set(g)},i(r){f||(k(a.$$.fragment,r),f=!0)},o(r){M(a.$$.fragment,r),f=!1},d(r){x(a,r)}}}function zt(J){let a,f,r,p,g,h,U,A,C="Load pretrained instances with an AutoClass",W,b,E="With so many different Transformer architectures, it can be challenging to create one for your checkpoint. As a part of 🤗 Transformers core philosophy to make the library easy, simple and flexible to use, an <code>AutoClass</code> automatically infers and loads the correct architecture from a given checkpoint. The <code>from_pretrained()</code> method lets you quickly load a pretrained model for any architecture so you don’t have to devote time and resources to train a model from scratch. Producing this type of checkpoint-agnostic code means if your code works for one checkpoint, it will work with another checkpoint - as long as it was trained for a similar task - even if the architecture is different.",Z,c,_,l,F="In this tutorial, learn to:",I,Q,nt="<li>Load a pretrained tokenizer.</li> <li>Load a pretrained image processor</li> <li>Load a pretrained feature extractor.</li> <li>Load a pretrained processor.</li> <li>Load a pretrained model.</li>",Ce,H,R,we,B,De,de,rt="AutoTokenizer",Te,K,lt="Nearly every NLP task begins with a tokenizer. A tokenizer converts your input into a format that can be processed by the model.",Ze,D,ot='Load a tokenizer with <a href="/docs/transformers/v4.33.3/en/model_doc/auto#transformers.AutoTokenizer.from_pretrained">AutoTokenizer.from_pretrained()</a>:',Fe,O,Ae,ee,it="Then tokenize your input as shown below:",We,te,Je,N,z,je,se,Oe,ye,pt="AutoImageProcessor",Ue,ae,ct="For vision tasks, an image processor processes the image into the correct input format.",Ee,ne,He,G,X,ke,re,et,$e,mt="AutoFeatureExtractor",Ne,le,ut="For audio tasks, a feature extractor processes the audio signal the correct input format.",Ge,oe,ht='Load a feature extractor with <a href="/docs/transformers/v4.33.3/en/model_doc/auto#transformers.AutoFeatureExtractor.from_pretrained">AutoFeatureExtractor.from_pretrained()</a>:',Le,ie,Ve,L,S,Me,pe,tt,ge,ft="AutoProcessor",Pe,ce,dt='Multimodal tasks require a processor that combines two types of preprocessing tools. For example, the <a href="model_doc/layoutlmv2">LayoutLMV2</a> model requires an image processor to handle images and a tokenizer to handle text; a processor combines both of them.',Re,me,yt='Load a processor with <a href="/docs/transformers/v4.33.3/en/model_doc/auto#transformers.AutoProcessor.from_pretrained">AutoProcessor.from_pretrained()</a>:',ze,ue,Xe,V,q,xe,he,st,be,$t="AutoModel",Se,Y,qe;return h=new ve({}),c=new Zt({props:{$$slots:{default:[Nt]},$$scope:{ctx:J}}}),B=new ve({}),O=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)`}}),te=new P({props:{code:"c2VxdWVuY2UlMjAlM0QlMjAlMjJJbiUyMGElMjBob2xlJTIwaW4lMjB0aGUlMjBncm91bmQlMjB0aGVyZSUyMGxpdmVkJTIwYSUyMGhvYmJpdC4lMjIlMEFwcmludCh0b2tlbml6ZXIoc2VxdWVuY2UpKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequence = <span class="hljs-string">&quot;In a hole in the ground there lived a hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequence))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">101</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">4920</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1996</span>, <span class="hljs-number">2598</span>, <span class="hljs-number">2045</span>, <span class="hljs-number">2973</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">7570</span>, <span class="hljs-number">10322</span>, <span class="hljs-number">4183</span>, <span class="hljs-number">1012</span>, <span class="hljs-number">102</span>], 
 <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>], 
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`}}),se=new ve({}),ne=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9JbWFnZVByb2Nlc3NvciUwQSUwQWltYWdlX3Byb2Nlc3NvciUyMCUzRCUyMEF1dG9JbWFnZVByb2Nlc3Nvci5mcm9tX3ByZXRyYWluZWQoJTIyZ29vZ2xlJTJGdml0LWJhc2UtcGF0Y2gxNi0yMjQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)`}}),re=new ve({}),ie=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`}}),pe=new ve({}),ue=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`}}),he=new ve({}),Y=new Ht({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Rt],pytorch:[Vt]},$$scope:{ctx:J}}}),{c(){a=o("meta"),f=m(),r=o("h1"),p=o("a"),g=o("span"),v(h.$$.fragment),U=m(),A=o("span"),A.textContent=C,W=m(),b=o("p"),b.innerHTML=E,Z=m(),v(c.$$.fragment),_=m(),l=o("p"),l.textContent=F,I=m(),Q=o("ul"),Q.innerHTML=nt,Ce=m(),H=o("h2"),R=o("a"),we=o("span"),v(B.$$.fragment),De=m(),de=o("span"),de.textContent=rt,Te=m(),K=o("p"),K.textContent=lt,Ze=m(),D=o("p"),D.innerHTML=ot,Fe=m(),v(O.$$.fragment),Ae=m(),ee=o("p"),ee.textContent=it,We=m(),v(te.$$.fragment),Je=m(),N=o("h2"),z=o("a"),je=o("span"),v(se.$$.fragment),Oe=m(),ye=o("span"),ye.textContent=pt,Ue=m(),ae=o("p"),ae.textContent=ct,Ee=m(),v(ne.$$.fragment),He=m(),G=o("h2"),X=o("a"),ke=o("span"),v(re.$$.fragment),et=m(),$e=o("span"),$e.textContent=mt,Ne=m(),le=o("p"),le.textContent=ut,Ge=m(),oe=o("p"),oe.innerHTML=ht,Le=m(),v(ie.$$.fragment),Ve=m(),L=o("h2"),S=o("a"),Me=o("span"),v(pe.$$.fragment),tt=m(),ge=o("span"),ge.textContent=ft,Pe=m(),ce=o("p"),ce.innerHTML=dt,Re=m(),me=o("p"),me.innerHTML=yt,ze=m(),v(ue.$$.fragment),Xe=m(),V=o("h2"),q=o("a"),xe=o("span"),v(he.$$.fragment),st=m(),be=o("span"),be.textContent=$t,Se=m(),v(Y.$$.fragment),this.h()},l(e){const n=Et("svelte-1phssyn",document.head);a=i(n,"META",{name:!0,content:!0}),n.forEach(t),f=u(e),r=i(e,"H1",{class:!0});var fe=T(r);p=i(fe,"A",{id:!0,class:!0,href:!0});var _e=T(p);g=i(_e,"SPAN",{});var gt=T(g);w(h.$$.fragment,gt),gt.forEach(t),_e.forEach(t),U=u(fe),A=i(fe,"SPAN",{"data-svelte-h":!0}),y(A)!=="svelte-1j9dtjx"&&(A.textContent=C),fe.forEach(t),W=u(e),b=i(e,"P",{"data-svelte-h":!0}),y(b)!=="svelte-j0p9ct"&&(b.innerHTML=E),Z=u(e),w(c.$$.fragment,e),_=u(e),l=i(e,"P",{"data-svelte-h":!0}),y(l)!=="svelte-1kmbcqk"&&(l.textContent=F),I=u(e),Q=i(e,"UL",{"data-svelte-h":!0}),y(Q)!=="svelte-12313ht"&&(Q.innerHTML=nt),Ce=u(e),H=i(e,"H2",{class:!0});var Ye=T(H);R=i(Ye,"A",{id:!0,class:!0,href:!0});var bt=T(R);we=i(bt,"SPAN",{});var vt=T(we);w(B.$$.fragment,vt),vt.forEach(t),bt.forEach(t),De=u(Ye),de=i(Ye,"SPAN",{"data-svelte-h":!0}),y(de)!=="svelte-5wpjmf"&&(de.textContent=rt),Ye.forEach(t),Te=u(e),K=i(e,"P",{"data-svelte-h":!0}),y(K)!=="svelte-8r2c79"&&(K.textContent=lt),Ze=u(e),D=i(e,"P",{"data-svelte-h":!0}),y(D)!=="svelte-9ypr1h"&&(D.innerHTML=ot),Fe=u(e),w(O.$$.fragment,e),Ae=u(e),ee=i(e,"P",{"data-svelte-h":!0}),y(ee)!=="svelte-1idptsb"&&(ee.textContent=it),We=u(e),w(te.$$.fragment,e),Je=u(e),N=i(e,"H2",{class:!0});var Ie=T(N);z=i(Ie,"A",{id:!0,class:!0,href:!0});var wt=T(z);je=i(wt,"SPAN",{});var jt=T(je);w(se.$$.fragment,jt),jt.forEach(t),wt.forEach(t),Oe=u(Ie),ye=i(Ie,"SPAN",{"data-svelte-h":!0}),y(ye)!=="svelte-1t92jbp"&&(ye.textContent=pt),Ie.forEach(t),Ue=u(e),ae=i(e,"P",{"data-svelte-h":!0}),y(ae)!=="svelte-1d6dyuq"&&(ae.textContent=ct),Ee=u(e),w(ne.$$.fragment,e),He=u(e),G=i(e,"H2",{class:!0});var Qe=T(G);X=i(Qe,"A",{id:!0,class:!0,href:!0});var kt=T(X);ke=i(kt,"SPAN",{});var Mt=T(ke);w(re.$$.fragment,Mt),Mt.forEach(t),kt.forEach(t),et=u(Qe),$e=i(Qe,"SPAN",{"data-svelte-h":!0}),y($e)!=="svelte-qfeipy"&&($e.textContent=mt),Qe.forEach(t),Ne=u(e),le=i(e,"P",{"data-svelte-h":!0}),y(le)!=="svelte-f3nvdu"&&(le.textContent=ut),Ge=u(e),oe=i(e,"P",{"data-svelte-h":!0}),y(oe)!=="svelte-cimx30"&&(oe.innerHTML=ht),Le=u(e),w(ie.$$.fragment,e),Ve=u(e),L=i(e,"H2",{class:!0});var Be=T(L);S=i(Be,"A",{id:!0,class:!0,href:!0});var xt=T(S);Me=i(xt,"SPAN",{});var _t=T(Me);w(pe.$$.fragment,_t),_t.forEach(t),xt.forEach(t),tt=u(Be),ge=i(Be,"SPAN",{"data-svelte-h":!0}),y(ge)!=="svelte-yif3ge"&&(ge.textContent=ft),Be.forEach(t),Pe=u(e),ce=i(e,"P",{"data-svelte-h":!0}),y(ce)!=="svelte-p2h4f9"&&(ce.innerHTML=dt),Re=u(e),me=i(e,"P",{"data-svelte-h":!0}),y(me)!=="svelte-ezca6y"&&(me.innerHTML=yt),ze=u(e),w(ue.$$.fragment,e),Xe=u(e),V=i(e,"H2",{class:!0});var Ke=T(V);q=i(Ke,"A",{id:!0,class:!0,href:!0});var Ct=T(q);xe=i(Ct,"SPAN",{});var Tt=T(xe);w(he.$$.fragment,Tt),Tt.forEach(t),Ct.forEach(t),st=u(Ke),be=i(Ke,"SPAN",{"data-svelte-h":!0}),y(be)!=="svelte-12n7lj"&&(be.textContent=$t),Ke.forEach(t),Se=u(e),w(Y.$$.fragment,e),this.h()},h(){d(a,"name","hf:doc:metadata"),d(a,"content",JSON.stringify(Xt)),d(p,"id","load-pretrained-instances-with-an-autoclass"),d(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(p,"href","#load-pretrained-instances-with-an-autoclass"),d(r,"class","relative group"),d(R,"id","autotokenizer"),d(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(R,"href","#autotokenizer"),d(H,"class","relative group"),d(z,"id","autoimageprocessor"),d(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(z,"href","#autoimageprocessor"),d(N,"class","relative group"),d(X,"id","autofeatureextractor"),d(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(X,"href","#autofeatureextractor"),d(G,"class","relative group"),d(S,"id","autoprocessor"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#autoprocessor"),d(L,"class","relative group"),d(q,"id","automodel"),d(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(q,"href","#automodel"),d(V,"class","relative group")},m(e,n){$(document.head,a),s(e,f,n),s(e,r,n),$(r,p),$(p,g),j(h,g,null),$(r,U),$(r,A),s(e,W,n),s(e,b,n),s(e,Z,n),j(c,e,n),s(e,_,n),s(e,l,n),s(e,I,n),s(e,Q,n),s(e,Ce,n),s(e,H,n),$(H,R),$(R,we),j(B,we,null),$(H,De),$(H,de),s(e,Te,n),s(e,K,n),s(e,Ze,n),s(e,D,n),s(e,Fe,n),j(O,e,n),s(e,Ae,n),s(e,ee,n),s(e,We,n),j(te,e,n),s(e,Je,n),s(e,N,n),$(N,z),$(z,je),j(se,je,null),$(N,Oe),$(N,ye),s(e,Ue,n),s(e,ae,n),s(e,Ee,n),j(ne,e,n),s(e,He,n),s(e,G,n),$(G,X),$(X,ke),j(re,ke,null),$(G,et),$(G,$e),s(e,Ne,n),s(e,le,n),s(e,Ge,n),s(e,oe,n),s(e,Le,n),j(ie,e,n),s(e,Ve,n),s(e,L,n),$(L,S),$(S,Me),j(pe,Me,null),$(L,tt),$(L,ge),s(e,Pe,n),s(e,ce,n),s(e,Re,n),s(e,me,n),s(e,ze,n),j(ue,e,n),s(e,Xe,n),s(e,V,n),$(V,q),$(q,xe),j(he,xe,null),$(V,st),$(V,be),s(e,Se,n),j(Y,e,n),qe=!0},p(e,[n]){const fe={};n&2&&(fe.$$scope={dirty:n,ctx:e}),c.$set(fe);const _e={};n&2&&(_e.$$scope={dirty:n,ctx:e}),Y.$set(_e)},i(e){qe||(k(h.$$.fragment,e),k(c.$$.fragment,e),k(B.$$.fragment,e),k(O.$$.fragment,e),k(te.$$.fragment,e),k(se.$$.fragment,e),k(ne.$$.fragment,e),k(re.$$.fragment,e),k(ie.$$.fragment,e),k(pe.$$.fragment,e),k(ue.$$.fragment,e),k(he.$$.fragment,e),k(Y.$$.fragment,e),qe=!0)},o(e){M(h.$$.fragment,e),M(c.$$.fragment,e),M(B.$$.fragment,e),M(O.$$.fragment,e),M(te.$$.fragment,e),M(se.$$.fragment,e),M(ne.$$.fragment,e),M(re.$$.fragment,e),M(ie.$$.fragment,e),M(pe.$$.fragment,e),M(ue.$$.fragment,e),M(he.$$.fragment,e),M(Y.$$.fragment,e),qe=!1},d(e){e&&(t(f),t(r),t(W),t(b),t(Z),t(_),t(l),t(I),t(Q),t(Ce),t(H),t(Te),t(K),t(Ze),t(D),t(Fe),t(Ae),t(ee),t(We),t(Je),t(N),t(Ue),t(ae),t(Ee),t(He),t(G),t(Ne),t(le),t(Ge),t(oe),t(Le),t(Ve),t(L),t(Pe),t(ce),t(Re),t(me),t(ze),t(Xe),t(V),t(Se)),t(a),x(h),x(c,e),x(B),x(O,e),x(te,e),x(se),x(ne,e),x(re),x(ie,e),x(pe),x(ue,e),x(he),x(Y,e)}}}const Xt={local:"load-pretrained-instances-with-an-autoclass",sections:[{local:"autotokenizer",title:"AutoTokenizer"},{local:"autoimageprocessor",title:"AutoImageProcessor"},{local:"autofeatureextractor",title:"AutoFeatureExtractor"},{local:"autoprocessor",title:"AutoProcessor"},{local:"automodel",title:"AutoModel"}],title:"Load pretrained instances with an AutoClass"};function St(J){return Wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dt extends Jt{constructor(a){super(),Ut(this,a,St,zt,At,{})}}export{Dt as component};
