import{s as Zt,o as Tt,n as tt}from"../chunks/scheduler.889ebb13.js";import{S as Wt,i as Jt,g as p,s as u,r as y,A as At,h as i,f as t,c as m,j as Z,u as j,x as b,k as d,y as $,a,v as M,d as w,t as _,w as x}from"../chunks/index.b9ddb21d.js";import{T as Ct}from"../chunks/Tip.ebe17e87.js";import{I as ve}from"../chunks/IconCopyLink.23b86160.js";import{C as P}from"../chunks/CodeBlock.c73b2f2e.js";import{F as Ut,M as kt}from"../chunks/Markdown.c603fa25.js";function Et(U){let s,f='아키텍처는 모델의 골격을 의미하며 체크포인트는 주어진 아키텍처에 대한 가중치입니다. 예를 들어, <a href="https://huggingface.co/bert-base-uncased" rel="nofollow">BERT</a>는 아키텍처이고, <code>bert-base-uncased</code>는 체크포인트입니다. 모델은 아키텍처 또는 체크포인트를 의미할 수 있는 일반적인 용어입니다.';return{c(){s=p("p"),s.innerHTML=f},l(n){s=i(n,"P",{"data-svelte-h":!0}),b(s)!=="svelte-16p0tdi"&&(s.innerHTML=f)},m(n,o){a(n,s,o)},p:tt,d(n){n&&t(s)}}}function Ft(U){let s,f=`PyTorch모델의 경우 <code>from_pretrained()</code> 메서드는 내부적으로 피클을 사용하여 안전하지 않은 것으로 알려진 <code>torch.load()</code>를 사용합니다.
일반적으로 신뢰할 수 없는 소스에서 가져왔거나 변조되었을 수 있는 모델은 로드하지 마세요. 허깅 페이스 허브에서 호스팅되는 공개 모델의 경우 이러한 보안 위험이 부분적으로 완화되며, 각 커밋 시 멀웨어를 <a href="https://huggingface.co/docs/hub/security-malware" rel="nofollow">검사합니다</a>. GPG를 사용해 서명된 <a href="https://huggingface.co/docs/hub/security-gpg#signing-commits-with-gpg" rel="nofollow">커밋 검증</a>과 같은 모범사례는 <a href="https://huggingface.co/docs/hub/security" rel="nofollow">문서</a>를 참조하세요.`,n,o,g="텐서플로우와 Flax 체크포인트는 영향을 받지 않으며, <code>from_pretrained</code>메서드에 <code>from_tf</code> 와 <code>from_flax</code> 키워드 가변 인자를 사용하여 이 문제를 우회할 수 있습니다.";return{c(){s=p("p"),s.innerHTML=f,n=u(),o=p("p"),o.innerHTML=g},l(h){s=i(h,"P",{"data-svelte-h":!0}),b(s)!=="svelte-1u3kbez"&&(s.innerHTML=f),n=m(h),o=i(h,"P",{"data-svelte-h":!0}),b(o)!=="svelte-7z7rov"&&(o.innerHTML=g)},m(h,E){a(h,s,E),a(h,n,E),a(h,o,E)},p:tt,d(h){h&&(t(s),t(n),t(o))}}}function Nt(U){let s,f='마지막으로 AutoModelFor클래스를 사용하면 주어진 작업에 대해 미리 학습된 모델을 로드할 수 있습니다 (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요). 예를 들어, <code>AutoModelForSequenceClassification.from_pretrained()</code>를 사용하여 시퀀스 분류용 모델을 로드할 수 있습니다:',n,o,g,h,E="동일한 체크포인트를 쉽게 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",J,k,A,v,F,T,c='일반적으로 AutoTokenizer 클래스와 AutoModelFor 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',C;return o=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),k=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),v=new Ct({props:{warning:!0,$$slots:{default:[Ft]},$$scope:{ctx:U}}}),{c(){s=p("p"),s.innerHTML=f,n=u(),y(o.$$.fragment),g=u(),h=p("p"),h.textContent=E,J=u(),y(k.$$.fragment),A=u(),y(v.$$.fragment),F=u(),T=p("p"),T.innerHTML=c},l(r){s=i(r,"P",{"data-svelte-h":!0}),b(s)!=="svelte-18uszv6"&&(s.innerHTML=f),n=m(r),j(o.$$.fragment,r),g=m(r),h=i(r,"P",{"data-svelte-h":!0}),b(h)!=="svelte-7ro1yz"&&(h.textContent=E),J=m(r),j(k.$$.fragment,r),A=m(r),j(v.$$.fragment,r),F=m(r),T=i(r,"P",{"data-svelte-h":!0}),b(T)!=="svelte-4umuej"&&(T.innerHTML=c)},m(r,W){a(r,s,W),a(r,n,W),M(o,r,W),a(r,g,W),a(r,h,W),a(r,J,W),M(k,r,W),a(r,A,W),M(v,r,W),a(r,F,W),a(r,T,W),C=!0},p(r,W){const I={};W&2&&(I.$$scope={dirty:W,ctx:r}),v.$set(I)},i(r){C||(w(o.$$.fragment,r),w(k.$$.fragment,r),w(v.$$.fragment,r),C=!0)},o(r){_(o.$$.fragment,r),_(k.$$.fragment,r),_(v.$$.fragment,r),C=!1},d(r){r&&(t(s),t(n),t(g),t(h),t(J),t(A),t(F),t(T)),x(o,r),x(k,r),x(v,r)}}}function Gt(U){let s,f;return s=new kt({props:{$$slots:{default:[Nt]},$$scope:{ctx:U}}}),{c(){y(s.$$.fragment)},l(n){j(s.$$.fragment,n)},m(n,o){M(s,n,o),f=!0},p(n,o){const g={};o&2&&(g.$$scope={dirty:o,ctx:n}),s.$set(g)},i(n){f||(w(s.$$.fragment,n),f=!0)},o(n){_(s.$$.fragment,n),f=!1},d(n){x(s,n)}}}function Vt(U){let s,f='마지막으로 <code>TFAutoModelFor</code> 클래스를 사용하면 주어진 작업에 대해 사전 훈련된 모델을 로드할 수 있습니다. (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요. 예를 들어, <code>TFAutoModelForSequenceClassification.from_pretrained()</code>로 시퀀스 분류를 위한 모델을 로드합니다:',n,o,g,h,E="쉽게 동일한 체크포인트를 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",J,k,A,v,F='일반적으로, <code>AutoTokenizer</code>클래스와 <code>TFAutoModelFor</code> 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',T;return o=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),k=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),{c(){s=p("p"),s.innerHTML=f,n=u(),y(o.$$.fragment),g=u(),h=p("p"),h.textContent=E,J=u(),y(k.$$.fragment),A=u(),v=p("p"),v.innerHTML=F},l(c){s=i(c,"P",{"data-svelte-h":!0}),b(s)!=="svelte-xsgejq"&&(s.innerHTML=f),n=m(c),j(o.$$.fragment,c),g=m(c),h=i(c,"P",{"data-svelte-h":!0}),b(h)!=="svelte-1ilzt8b"&&(h.textContent=E),J=m(c),j(k.$$.fragment,c),A=m(c),v=i(c,"P",{"data-svelte-h":!0}),b(v)!=="svelte-1w046dp"&&(v.innerHTML=F)},m(c,C){a(c,s,C),a(c,n,C),M(o,c,C),a(c,g,C),a(c,h,C),a(c,J,C),M(k,c,C),a(c,A,C),a(c,v,C),T=!0},p:tt,i(c){T||(w(o.$$.fragment,c),w(k.$$.fragment,c),T=!0)},o(c){_(o.$$.fragment,c),_(k.$$.fragment,c),T=!1},d(c){c&&(t(s),t(n),t(g),t(h),t(J),t(A),t(v)),x(o,c),x(k,c)}}}function Ht(U){let s,f;return s=new kt({props:{$$slots:{default:[Vt]},$$scope:{ctx:U}}}),{c(){y(s.$$.fragment)},l(n){j(s.$$.fragment,n)},m(n,o){M(s,n,o),f=!0},p(n,o){const g={};o&2&&(g.$$scope={dirty:o,ctx:n}),s.$set(g)},i(n){f||(w(s.$$.fragment,n),f=!0)},o(n){_(s.$$.fragment,n),f=!1},d(n){x(s,n)}}}function Rt(U){let s,f,n,o,g,h,E,J,k="AutoClass로 사전 학습된 인스턴스 로드",A,v,F=`트랜스포머 아키텍처가 매우 다양하기 때문에 체크포인트에 맞는 아키텍처를 생성하는 것이 어려울 수 있습니다. 라이브러리를 쉽고 간단하며 유연하게 사용하기 위한 Transformer 핵심 철학의 일환으로, <code>AutoClass</code>는 주어진 체크포인트에서 올바른 아키텍처를 자동으로 추론하여 로드합니다. <code>from_pretrained()</code> 메서드를 사용하면 모든 아키텍처에 대해 사전 학습된 모델을 빠르게 로드할 수 있으므로 모델을 처음부터 학습하는 데 시간과 리소스를 투입할 필요가 없습니다.
체크포인트에 구애받지 않는 코드를 생성한다는 것은 코드가 한 체크포인트에서 작동하면 아키텍처가 다르더라도 다른 체크포인트(유사한 작업에 대해 학습된 경우)에서도 작동한다는 것을 의미합니다.`,T,c,C,r,W="이 튜토리얼에서는 다음을 학습합니다:",I,Q,st="<li>사전 학습된 토크나이저 로드하기.</li> <li>사전 학습된 이미지 프로세서 로드하기.</li> <li>사전 학습된 특징 추출기 로드하기.</li> <li>사전 훈련된 프로세서 로드하기.</li> <li>사전 학습된 모델 로드하기.</li>",Ce,N,L,ye,B,Be,fe,at="AutoTokenizer",ke,K,nt=`거의 모든 NLP 작업은 토크나이저로 시작됩니다. 토크나이저는 사용자의 입력을 모델에서 처리할 수 있는 형식으로 변환합니다.
<code>AutoTokenizer.from_pretrained()</code>로 토크나이저를 로드합니다:`,Ze,D,Te,O,lt="그리고 아래와 같이 입력을 토큰화합니다:",We,ee,Je,G,X,je,te,Ke,de,rt="AutoImageProcessor",Ae,se,ot="비전 작업의 경우 이미지 프로세서가 이미지를 올바른 입력 형식으로 처리합니다.",Ue,ae,Ee,V,z,Me,ne,De,$e,pt="AutoFeatureExtractor",Fe,le,it="오디오 작업의 경우 특징 추출기가 오디오 신호를 올바른 입력 형식으로 처리합니다.",Ne,re,ct="<code>AutoFeatureExtractor.from_pretrained()</code>로 특징 추출기를 로드합니다:",Ge,oe,Ve,H,Y,we,pe,Oe,be,ut="AutoProcessor",He,ie,mt="멀티모달 작업에는 두 가지 유형의 전처리 도구를 결합한 프로세서가 필요합니다. 예를 들어 LayoutLMV2 모델에는 이미지를 처리하는 이미지 프로세서와 텍스트를 처리하는 토크나이저가 필요하며, 프로세서는 이 두 가지를 결합합니다.",Re,ce,ht="<code>AutoProcessor.from_pretrained()</code>로 프로세서를 로드합니다:",Pe,ue,Le,R,S,_e,me,et,ge,ft="AutoModel",Xe,q,ze;return h=new ve({}),c=new Ct({props:{$$slots:{default:[Et]},$$scope:{ctx:U}}}),B=new ve({}),D=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)`}}),ee=new P({props:{code:"c2VxdWVuY2UlMjAlM0QlMjAlMjJJbiUyMGElMjBob2xlJTIwaW4lMjB0aGUlMjBncm91bmQlMjB0aGVyZSUyMGxpdmVkJTIwYSUyMGhvYmJpdC4lMjIlMEFwcmludCh0b2tlbml6ZXIoc2VxdWVuY2UpKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequence = <span class="hljs-string">&quot;In a hole in the ground there lived a hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequence))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">101</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">4920</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1996</span>, <span class="hljs-number">2598</span>, <span class="hljs-number">2045</span>, <span class="hljs-number">2973</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">7570</span>, <span class="hljs-number">10322</span>, <span class="hljs-number">4183</span>, <span class="hljs-number">1012</span>, <span class="hljs-number">102</span>], 
 <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>], 
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`}}),te=new ve({}),ae=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9JbWFnZVByb2Nlc3NvciUwQSUwQWltYWdlX3Byb2Nlc3NvciUyMCUzRCUyMEF1dG9JbWFnZVByb2Nlc3Nvci5mcm9tX3ByZXRyYWluZWQoJTIyZ29vZ2xlJTJGdml0LWJhc2UtcGF0Y2gxNi0yMjQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)`}}),ne=new ve({}),oe=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`}}),pe=new ve({}),ue=new P({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`}}),me=new ve({}),q=new Ut({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Ht],pytorch:[Gt]},$$scope:{ctx:U}}}),{c(){s=p("meta"),f=u(),n=p("h1"),o=p("a"),g=p("span"),y(h.$$.fragment),E=u(),J=p("span"),J.textContent=k,A=u(),v=p("p"),v.innerHTML=F,T=u(),y(c.$$.fragment),C=u(),r=p("p"),r.textContent=W,I=u(),Q=p("ul"),Q.innerHTML=st,Ce=u(),N=p("h2"),L=p("a"),ye=p("span"),y(B.$$.fragment),Be=u(),fe=p("span"),fe.textContent=at,ke=u(),K=p("p"),K.innerHTML=nt,Ze=u(),y(D.$$.fragment),Te=u(),O=p("p"),O.textContent=lt,We=u(),y(ee.$$.fragment),Je=u(),G=p("h2"),X=p("a"),je=p("span"),y(te.$$.fragment),Ke=u(),de=p("span"),de.textContent=rt,Ae=u(),se=p("p"),se.textContent=ot,Ue=u(),y(ae.$$.fragment),Ee=u(),V=p("h2"),z=p("a"),Me=p("span"),y(ne.$$.fragment),De=u(),$e=p("span"),$e.textContent=pt,Fe=u(),le=p("p"),le.textContent=it,Ne=u(),re=p("p"),re.innerHTML=ct,Ge=u(),y(oe.$$.fragment),Ve=u(),H=p("h2"),Y=p("a"),we=p("span"),y(pe.$$.fragment),Oe=u(),be=p("span"),be.textContent=ut,He=u(),ie=p("p"),ie.textContent=mt,Re=u(),ce=p("p"),ce.innerHTML=ht,Pe=u(),y(ue.$$.fragment),Le=u(),R=p("h2"),S=p("a"),_e=p("span"),y(me.$$.fragment),et=u(),ge=p("span"),ge.textContent=ft,Xe=u(),y(q.$$.fragment),this.h()},l(e){const l=At("svelte-1phssyn",document.head);s=i(l,"META",{name:!0,content:!0}),l.forEach(t),f=m(e),n=i(e,"H1",{class:!0});var he=Z(n);o=i(he,"A",{id:!0,class:!0,href:!0});var xe=Z(o);g=i(xe,"SPAN",{});var dt=Z(g);j(h.$$.fragment,dt),dt.forEach(t),xe.forEach(t),E=m(he),J=i(he,"SPAN",{"data-svelte-h":!0}),b(J)!=="svelte-1mi5wto"&&(J.textContent=k),he.forEach(t),A=m(e),v=i(e,"P",{"data-svelte-h":!0}),b(v)!=="svelte-77k0i5"&&(v.innerHTML=F),T=m(e),j(c.$$.fragment,e),C=m(e),r=i(e,"P",{"data-svelte-h":!0}),b(r)!=="svelte-qqdsnz"&&(r.textContent=W),I=m(e),Q=i(e,"UL",{"data-svelte-h":!0}),b(Q)!=="svelte-fay6vf"&&(Q.innerHTML=st),Ce=m(e),N=i(e,"H2",{class:!0});var Ye=Z(N);L=i(Ye,"A",{id:!0,class:!0,href:!0});var $t=Z(L);ye=i($t,"SPAN",{});var bt=Z(ye);j(B.$$.fragment,bt),bt.forEach(t),$t.forEach(t),Be=m(Ye),fe=i(Ye,"SPAN",{"data-svelte-h":!0}),b(fe)!=="svelte-5wpjmf"&&(fe.textContent=at),Ye.forEach(t),ke=m(e),K=i(e,"P",{"data-svelte-h":!0}),b(K)!=="svelte-7pofg0"&&(K.innerHTML=nt),Ze=m(e),j(D.$$.fragment,e),Te=m(e),O=i(e,"P",{"data-svelte-h":!0}),b(O)!=="svelte-2tta70"&&(O.textContent=lt),We=m(e),j(ee.$$.fragment,e),Je=m(e),G=i(e,"H2",{class:!0});var Se=Z(G);X=i(Se,"A",{id:!0,class:!0,href:!0});var gt=Z(X);je=i(gt,"SPAN",{});var vt=Z(je);j(te.$$.fragment,vt),vt.forEach(t),gt.forEach(t),Ke=m(Se),de=i(Se,"SPAN",{"data-svelte-h":!0}),b(de)!=="svelte-1t92jbp"&&(de.textContent=rt),Se.forEach(t),Ae=m(e),se=i(e,"P",{"data-svelte-h":!0}),b(se)!=="svelte-34kd90"&&(se.textContent=ot),Ue=m(e),j(ae.$$.fragment,e),Ee=m(e),V=i(e,"H2",{class:!0});var qe=Z(V);z=i(qe,"A",{id:!0,class:!0,href:!0});var yt=Z(z);Me=i(yt,"SPAN",{});var jt=Z(Me);j(ne.$$.fragment,jt),jt.forEach(t),yt.forEach(t),De=m(qe),$e=i(qe,"SPAN",{"data-svelte-h":!0}),b($e)!=="svelte-qfeipy"&&($e.textContent=pt),qe.forEach(t),Fe=m(e),le=i(e,"P",{"data-svelte-h":!0}),b(le)!=="svelte-uavi10"&&(le.textContent=it),Ne=m(e),re=i(e,"P",{"data-svelte-h":!0}),b(re)!=="svelte-1kkigej"&&(re.innerHTML=ct),Ge=m(e),j(oe.$$.fragment,e),Ve=m(e),H=i(e,"H2",{class:!0});var Ie=Z(H);Y=i(Ie,"A",{id:!0,class:!0,href:!0});var Mt=Z(Y);we=i(Mt,"SPAN",{});var wt=Z(we);j(pe.$$.fragment,wt),wt.forEach(t),Mt.forEach(t),Oe=m(Ie),be=i(Ie,"SPAN",{"data-svelte-h":!0}),b(be)!=="svelte-yif3ge"&&(be.textContent=ut),Ie.forEach(t),He=m(e),ie=i(e,"P",{"data-svelte-h":!0}),b(ie)!=="svelte-55zai9"&&(ie.textContent=mt),Re=m(e),ce=i(e,"P",{"data-svelte-h":!0}),b(ce)!=="svelte-r7eo2t"&&(ce.innerHTML=ht),Pe=m(e),j(ue.$$.fragment,e),Le=m(e),R=i(e,"H2",{class:!0});var Qe=Z(R);S=i(Qe,"A",{id:!0,class:!0,href:!0});var _t=Z(S);_e=i(_t,"SPAN",{});var xt=Z(_e);j(me.$$.fragment,xt),xt.forEach(t),_t.forEach(t),et=m(Qe),ge=i(Qe,"SPAN",{"data-svelte-h":!0}),b(ge)!=="svelte-12n7lj"&&(ge.textContent=ft),Qe.forEach(t),Xe=m(e),j(q.$$.fragment,e),this.h()},h(){d(s,"name","hf:doc:metadata"),d(s,"content",JSON.stringify(Pt)),d(o,"id","load-pretrained-instances-with-an-autoclass"),d(o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(o,"href","#load-pretrained-instances-with-an-autoclass"),d(n,"class","relative group"),d(L,"id","autotokenizer"),d(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(L,"href","#autotokenizer"),d(N,"class","relative group"),d(X,"id","autoimageprocessor"),d(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(X,"href","#autoimageprocessor"),d(G,"class","relative group"),d(z,"id","autofeatureextractor"),d(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(z,"href","#autofeatureextractor"),d(V,"class","relative group"),d(Y,"id","autoprocessor"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#autoprocessor"),d(H,"class","relative group"),d(S,"id","automodel"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#automodel"),d(R,"class","relative group")},m(e,l){$(document.head,s),a(e,f,l),a(e,n,l),$(n,o),$(o,g),M(h,g,null),$(n,E),$(n,J),a(e,A,l),a(e,v,l),a(e,T,l),M(c,e,l),a(e,C,l),a(e,r,l),a(e,I,l),a(e,Q,l),a(e,Ce,l),a(e,N,l),$(N,L),$(L,ye),M(B,ye,null),$(N,Be),$(N,fe),a(e,ke,l),a(e,K,l),a(e,Ze,l),M(D,e,l),a(e,Te,l),a(e,O,l),a(e,We,l),M(ee,e,l),a(e,Je,l),a(e,G,l),$(G,X),$(X,je),M(te,je,null),$(G,Ke),$(G,de),a(e,Ae,l),a(e,se,l),a(e,Ue,l),M(ae,e,l),a(e,Ee,l),a(e,V,l),$(V,z),$(z,Me),M(ne,Me,null),$(V,De),$(V,$e),a(e,Fe,l),a(e,le,l),a(e,Ne,l),a(e,re,l),a(e,Ge,l),M(oe,e,l),a(e,Ve,l),a(e,H,l),$(H,Y),$(Y,we),M(pe,we,null),$(H,Oe),$(H,be),a(e,He,l),a(e,ie,l),a(e,Re,l),a(e,ce,l),a(e,Pe,l),M(ue,e,l),a(e,Le,l),a(e,R,l),$(R,S),$(S,_e),M(me,_e,null),$(R,et),$(R,ge),a(e,Xe,l),M(q,e,l),ze=!0},p(e,[l]){const he={};l&2&&(he.$$scope={dirty:l,ctx:e}),c.$set(he);const xe={};l&2&&(xe.$$scope={dirty:l,ctx:e}),q.$set(xe)},i(e){ze||(w(h.$$.fragment,e),w(c.$$.fragment,e),w(B.$$.fragment,e),w(D.$$.fragment,e),w(ee.$$.fragment,e),w(te.$$.fragment,e),w(ae.$$.fragment,e),w(ne.$$.fragment,e),w(oe.$$.fragment,e),w(pe.$$.fragment,e),w(ue.$$.fragment,e),w(me.$$.fragment,e),w(q.$$.fragment,e),ze=!0)},o(e){_(h.$$.fragment,e),_(c.$$.fragment,e),_(B.$$.fragment,e),_(D.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(ae.$$.fragment,e),_(ne.$$.fragment,e),_(oe.$$.fragment,e),_(pe.$$.fragment,e),_(ue.$$.fragment,e),_(me.$$.fragment,e),_(q.$$.fragment,e),ze=!1},d(e){e&&(t(f),t(n),t(A),t(v),t(T),t(C),t(r),t(I),t(Q),t(Ce),t(N),t(ke),t(K),t(Ze),t(Te),t(O),t(We),t(Je),t(G),t(Ae),t(se),t(Ue),t(Ee),t(V),t(Fe),t(le),t(Ne),t(re),t(Ge),t(Ve),t(H),t(He),t(ie),t(Re),t(ce),t(Pe),t(Le),t(R),t(Xe)),t(s),x(h),x(c,e),x(B),x(D,e),x(ee,e),x(te),x(ae,e),x(ne),x(oe,e),x(pe),x(ue,e),x(me),x(q,e)}}}const Pt={local:"load-pretrained-instances-with-an-autoclass",sections:[{local:"autotokenizer",title:"AutoTokenizer"},{local:"autoimageprocessor",title:"AutoImageProcessor"},{local:"autofeatureextractor",title:"AutoFeatureExtractor"},{local:"autoprocessor",title:"AutoProcessor"},{local:"automodel",title:"AutoModel"}],title:"AutoClass로 사전 학습된 인스턴스 로드"};function Lt(U){return Tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qt extends Wt{constructor(s){super(),Jt(this,s,Lt,Rt,Zt,{})}}export{Qt as component};
